Index: trunk/SRC/Documentation/idldoc_assistant_output/ToBeReviewed/STATISTICS/skewness_4d.html
===================================================================
--- trunk/SRC/Documentation/idldoc_assistant_output/ToBeReviewed/STATISTICS/skewness_4d.html	(revision 340)
+++ trunk/SRC/Documentation/idldoc_assistant_output/ToBeReviewed/STATISTICS/skewness_4d.html	(revision 340)
@@ -0,0 +1,183 @@
+
+
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
+  <head>
+    <title>skewness_4d.pro (SAXO Documentation Assistant)</title>
+  </head>
+
+  <body text="#000000" bgcolor="#FFFFFF">
+
+    
+<!-- Navbar template takes a structure with the following fields:
+       overview_href :
+       overview_selected :
+       dir_overview_href :
+       dir_overview_selected :
+       categories_href :
+       categories_selected :
+       index_href :
+       index_selected :
+       search_href :
+       search_selected :
+       file_selected :
+       source_href :
+       source_selected :
+       help_href :
+       help_selected :
+       etc_selected :
+
+       prev_file_href :
+       next_file_href :
+
+       view_single_page_href :
+       view_frames_href :
+
+       summary_fields_href :
+       summary_routine_href :
+       details_routine_href :
+
+       title :
+       subtitle :
+       user :
+-->
+
+
+<table border="0" cellpadding="0" cellspacing="0" width="98%" bgcolor="#F0F0FF" valign="bottom">
+  <tr>
+    <td width="10%">
+<a href="c_timecorrelate.html"><img src="./../../prev.gif" border="0" alt="Previous"></a></td>
+    <td width="80%" align="center" valign="center">
+<font size=-1><i>SAXO Documentation Assistant</i>: <a href="./../../home.html">Overview</a></font></td>
+    <td width="10%" align="right">
+<a href=""><img src="./../../next.gif" border="0" alt="Next"></a></td>
+  </tr>
+</table>
+
+
+    <h1><font size="-2">ToBeReviewed/STATISTICS/</font></h1>
+    <h2>skewness_4d.pro</h2>
+
+    <dl>
+    </dl>
+
+    
+ 
+
+ Same function as SKEWNESS but accept array (until 4
+ dimension) for input and perform  the skewness 
+ along the time dimension which must be the last
+ one of the input array.
+
+
+    
+
+      
+      <a name="#_skewness_4d"></a>
+
+      <h2>skewness_4d  <font size="-1" color="#006633">
+ Statistics
+</font></h2>
+
+      <p><font face="Courier"><i>result = </i>skewness_4d(<i><a href="#_skewness_4d_keyword_X">X</a></i>, <a href="#_skewness_4d_keyword_DOUBLE">DOUBLE</a>=<i>DOUBLE</i>, <a href="#_skewness_4d_keyword_NVAL">NVAL</a>=<i>NVAL</i>)</font></p>
+
+    
+
+    
+
+    
+    <h3>Parameters</h3>
+    
+
+    <a name="#_skewness_4d_keyword_X"></a>
+    <h4>X&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+      <font size="-1" color="#006633">in</font>
+      
+      
+      <font size="-1" color="#006633">required</font>
+      
+      <font size="-1" color="#006633">type:</font> <font size="-1" color="#006633"><i>array</i></font>
+      
+      
+    </h4>
+
+    
+ An Array which last dimension is the time dimension so
+ size n.
+
+    
+    
+
+    
+    <h3>Keywords</h3>
+
+    
+    <a name="#_skewness_4d_keyword_DOUBLE"></a>
+    <h4>DOUBLE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+      
+      
+      
+      
+      
+      
+      
+      
+    </h4>
+
+    
+ If set to a non-zero value, computations are done in
+ double precision arithmetic.
+
+    
+    <a name="#_skewness_4d_keyword_NVAL"></a>
+    <h4>NVAL&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+      
+      
+      
+      
+      
+      
+      
+      
+    </h4>
+
+    
+ A named variable that, on exit, contains the number of valid
+ observations (not NAN)
+
+    
+    
+
+    <h3>Examples</h3><pre>
+
+    </pre><h3>Version history</h3>
+    
+    <h4>Version</h4>
+ $Id: skewness_4d.pro 335 2008-03-07 15:09:25Z smasson $
+
+    <h4>History</h4>
+    
+
+    
+    
+    
+    
+    
+
+    
+    
+    
+    
+    
+    
+    
+
+    <font size="-3"><p>&nbsp;</p></font>
+    <hr size="1" color="#CCCCCC"/>
+      
+
+    
+
+    <p><font color="gray" size="-3">&nbsp;&nbsp;Produced by IDLdoc 2.0.</font></p>
+
+  </body>
+</html>
Index: trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/STATISTICS/skewness_4d.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/STATISTICS/skewness_4d.html	(revision 340)
+++ trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/STATISTICS/skewness_4d.html	(revision 340)
@@ -0,0 +1,226 @@
+
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
+ "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+
+<!-- Generated by IDLdoc 2.0 -->
+
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
+  <head>
+    <title>skewness_4d.pro (SAXO Documentation)</title>
+
+    
+    <link rel="stylesheet" type="text/css" media="all" href="./../../main_files.css" />
+    <link rel="stylesheet" type="text/css" media="print" href="./../../main_files_print.css" />
+    
+
+    <script type="text/javascript">
+      function setTitle() {
+        parent.document.title="skewness_4d.pro (SAXO Documentation)";
+      }
+    </script>
+  </head>
+
+  <body onload="setTitle();">
+
+    <div id="navbar_title">
+  <h1>SAXO Documentation</h1>
+</div>
+
+
+<div id="main_navbar">
+
+  <table cellspacing="0">
+    <tr>
+      
+      <td><a href="./../../overview.html" title="Overview of library">Overview</a></td>
+      
+
+      
+      <td >Directory</td>
+      
+
+      
+      <td><a href="./../../idldoc-categories.html" title="Browse library by category">Categories</a></td>
+      
+
+      
+      <td><a href="./../../idldoc-index.html" title="Index of files, routines, and parameters">Index</a></td>
+      
+
+      
+      <td><a href="./../../search-page.html" title="Search library">Search</a></td>
+      
+
+      <td id="selected">File</td>
+
+      
+      <td><a href="../../../../ToBeReviewed/STATISTICS//skewness_4d.pro" title="Source code of a file">Source</a></td>
+      
+
+      
+      <td><a href="./../../idldoc-help.html" title="Help on IDLdoc">Help</a></td>
+      
+
+      <td >Etc</td>
+
+      <td id="flexible">Developer&nbsp;documentation</td>
+    </tr>
+  </table>
+
+</div>
+
+<div id="secondary_navbar">
+
+<a href="c_timecorrelate.html">&lt;&lt;prev file</a> | next file &gt;&gt;&nbsp;&nbsp;&nbsp;&nbsp;<a href="skewness_4d.html" target="_TOP">view single page</a> | <a href="./../../index.html" target="_TOP">view frames</a>&nbsp;&nbsp;&nbsp;&nbsp;summary: fields | routine&nbsp;&nbsp;&nbsp;&nbsp;details: <a href="#routine_details">routine</a>
+
+</div>
+
+
+    <div id="container">
+
+      <h1 class="directory"><a href="directory-overview.html">ToBeReviewed/STATISTICS/</a></h1>
+      <h2 class="pro_file">skewness_4d.pro</h2>
+
+      <div id="file_attr">
+	<dl>
+	</dl>
+      </div>
+
+      <div id="file_comments">
+ 
+
+ Same function as SKEWNESS but accept array (until 4
+ dimension) for input and perform  the skewness 
+ along the time dimension which must be the last
+ one of the input array.
+</div>
+
+      
+
+      
+
+      
+
+      
+
+      <div id="routine_details">
+	
+
+	<div class="routine_details" id="_skewness_4d">
+
+	  <h2><a class="top" href="#container">top</a>skewness_4d <span class="categories">
+ Statistics
+</span></h2>
+	
+	  <p class="header">
+	    <span class="result">result = </span>skewness_4d(<span class="result"><a href="#_skewness_4d_param_X">X</a></span>, <a href="#_skewness_4d_keyword_DOUBLE">DOUBLE</a>=<span class="result">DOUBLE</span>, <a href="#_skewness_4d_keyword_NVAL">NVAL</a>=<span class="result">NVAL</span>)</p>
+	
+	  <div class="comments"></div>
+
+	  
+
+	  
+	    <h3>Parameters</h3>
+	
+	    
+	    <h4 id="_skewness_4d_param_X">X&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      <span class="attr">in</span>
+	      
+	      
+	      <span class="attr">required</span>
+	      
+	      <span class="attr">type:</span> <span class="value">array</span>
+	      
+	      
+	    </h4>
+	
+	  <div class="comments">
+ An Array which last dimension is the time dimension so
+ size n.
+</div>
+	    
+
+	  
+
+	  
+
+	    <h3>Keywords</h3>
+	    
+	    <h4 id="_skewness_4d_keyword_DOUBLE">DOUBLE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	    <div class="comments">
+ If set to a non-zero value, computations are done in
+ double precision arithmetic.
+</div>
+	    
+	    <h4 id="_skewness_4d_keyword_NVAL">NVAL&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	    <div class="comments">
+ A named variable that, on exit, contains the number of valid
+ observations (not NAN)
+</div>
+	    
+	  
+
+	  <h3>Examples</h3><div class="preformat">
+</div>
+	  <h3>Version history</h3>
+	  
+	  <h4>Version</h4><div class="preformat">
+ $Id: skewness_4d.pro 335 2008-03-07 15:09:25Z smasson $
+</div>
+	  <h4>History</h4><div class="preformat"></div>
+	  
+	  
+	  
+	  
+	  
+	  
+	  
+	
+	  
+	  
+	  
+	  
+	  
+	  
+	  
+	
+	  <h3>Statistics</h3>
+	  <table class="statistics">
+	    <tr><td>McCabe cyclic</td><td>           9</td></tr>
+	    <tr><td>McCabe essential</td><td>           1</td></tr>
+	    <tr><td>McCabe modular design</td><td>           1</td></tr>
+	  </table>
+	  
+	
+	</div>
+	
+      </div>
+
+      
+
+      <div id="tagline">Produced by IDLdoc 2.0.</div>
+
+    </div>
+
+  </body>
+</html>
Index: trunk/SRC/Documentation/xmldoc/getsaxo.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 339)
+++ trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 340)
@@ -3,11 +3,11 @@
 <head>
 <meta name="generator" content=
-"HTML Tidy for Mac OS X (vers 1st December 2004), see www.w3.org">
+"HTML Tidy for Mac OS X (vers 1 September 2005), see www.w3.org">
 <meta http-equiv="Content-Type" content=
 "text/html; charset=us-ascii">
 <title>Get SAXO</title>
-<link rel="stylesheet" href="style.css" type="text/css">
-<link rel="stylesheet" href="saxo.css" type="text/css">
-<meta name="generator" content="DocBook XSL Stylesheets V1.71.1">
+<link href="style.css" rel="stylesheet" type="text/css">
+<link href="saxo.css" rel="stylesheet" type="text/css">
+<meta content="DocBook XSL Stylesheets V1.71.1" name="generator">
 <meta name="keywords" content="IDL, SAXO">
 </head>
@@ -18,6 +18,6 @@
 <div>
 <div>
-<h2 class="title"><a name="d0e2" id="d0e2"></a> Get <span class=
-"application">SAXO</span></h2>
+<h2 class="title"><a name="N10002" id="N10002"></a> Get
+<span class="application">SAXO</span></h2>
 </div>
 <div>
@@ -26,6 +26,5 @@
 <h3 class="author"><span class="firstname">S&eacute;bastien</span>
 <span class="surname">Masson</span> <code class=
-"email">&lt;<a href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">
-Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3>
+"email">&lt;<a href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3>
 </div>
 <div class="author">
@@ -42,7 +41,7 @@
 <div>
 <div class="revhistory">
-<table border="1" width="100%" summary="Revision history">
+<table summary="Revision history" width="100%" border="1">
 <tr>
-<th align="left" valign="top" colspan="2"><b>Revision
+<th colspan="2" valign="top" align="left"><b>Revision
 History</b></th>
 </tr>
@@ -52,5 +51,5 @@
 </tr>
 <tr>
-<td align="left" colspan="2">First draft</td>
+<td colspan="2" align="left">First draft</td>
 </tr>
 </table>
@@ -152,9 +151,9 @@
 </ul>
 </div>
-<p>If you can access one of theses directories, there is no need to
+If you can access one of theses directories, there is no need to
 re-install <span class="application">SAXO</span> again! In that
 case, you only have to link <code class="filename"><code class=
 "envar">${HOME}</code>/SAXO_DIR</code> to the appropriate
-directory:</p>
+directory:
 <div class="variablelist">
 <dl>
@@ -232,5 +231,5 @@
 </pre>
 <p>The latest revision of the <span class="bold"><strong>source
-files</strong></span> (44 Mb) can be checked out with the following
+files</strong></span> (43 Mb) can be checked out with the following
 command:</p>
 <pre class="screen">
@@ -312,9 +311,9 @@
           
 </pre>
-<p>&hellip; and download it the latest version of the sources tar
+&hellip; and download it the latest version of the sources tar
 file: <a href=
-"http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r338.tar.gz"
-target="_top">SAXO_SRC_20080321r338.tar.gz</a> (5.8M Mb). This
-tar.gz file could also be downloaded with</p>
+"http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r339.tar.gz"
+target="_top">SAXO_SRC_20080321r339.tar.gz</a> (5.8M Mb). This
+tar.gz file could also be downloaded with
 <div class="variablelist">
 <dl>
@@ -326,5 +325,5 @@
 "userinput"><code><span><strong class=
 "command">wget</strong></span> <em class=
-"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r338.tar.gz</code></em></code></strong>
+"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r339.tar.gz</code></em></code></strong>
           
 </pre></dd>
@@ -337,10 +336,10 @@
 "command">curl</strong></span> <code class=
 "option">-O</code> <em class=
-"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r338.tar.gz</code></em></code></strong>
+"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r339.tar.gz</code></em></code></strong>
           
 </pre></dd>
 </dl>
 </div>
-<p>Untar the file</p>
+Untar the file
 <pre class="screen">
   <code class="prompt">$</code> <strong class=
@@ -353,9 +352,9 @@
 "command">tar</strong></span> <code class=
 "option">xvfz</code> <em class=
-"parameter"><code>SAXO_SRC_20080321r338.tar.gz</code></em></code></strong>
+"parameter"><code>SAXO_SRC_20080321r339.tar.gz</code></em></code></strong>
   <code class="prompt">$</code> <strong class=
 "userinput"><code><span><strong class=
 "command">rm</strong></span> <em class=
-"parameter"><code>SAXO_SRC_20080321r338.tar.gz</code></em></code></strong>
+"parameter"><code>SAXO_SRC_20080321r339.tar.gz</code></em></code></strong>
         
 </pre></div>
@@ -386,5 +385,5 @@
 <code class="filename">init.pro</code> file (see <a href=
 "#generate_init" title=
-"3.&nbsp; Generate your init.pro file  ">Section&nbsp;3, &ldquo;
+"3.&nbsp; Generate your init.pro file ">Section&nbsp;3, &ldquo;
 Generate your init.pro file &rdquo;</a>) or directly within IDL
 with the following command: <code class="prompt">idl&gt;</code>
@@ -411,8 +410,8 @@
         
 </pre>
-<p>Download <a href=
+Download <a href=
 "http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz"
 target="_top">SAXO_DATA_20060602.tar.gz</a> (238M Mb) &hellip; or
-with</p>
+with
 <div class="variablelist">
 <dl>
@@ -477,5 +476,5 @@
         
 </pre>
-<p>You must then answer several questions:</p>
+You must then answer several questions:
 <div class="itemizedlist">
 <ul type="disc">
@@ -516,8 +515,7 @@
         
 </pre>
-<p>There is an example of the kind of <a href=
+There is an example of the kind of <a href=
 "idlfiles/init_example.pro" target="_top"><code class=
-"filename">init.pro</code></a> you should get.</p>
-</div>
+"filename">init.pro</code></a> you should get.</div>
 <div class="sect1" lang="en">
 <div class="titlepage">