Index: trunk/SRC/Documentation/xmldoc/all_plots.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/all_plots.html	(revision 347)
+++ trunk/SRC/Documentation/xmldoc/all_plots.html	(revision 348)
@@ -9,11 +9,17 @@
     <link rev="made" href="mailto:saxo-dev_at_forge.ipsl.jussieu.fr" />
     <meta name="generator" content="DocBook XSL Stylesheets V1.71.1" />
-    <meta name="keywords" content="idl, SAXO" />
+    <meta name="keywords" content="IDL, SAXO" />
   </head>
   <body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
     <div class="article" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="all_plots" id="all_plots"></a>All plots of SAXO demo</h2></div><div><div class="authorgroup">
-      <div class="author"><h3 class="author"><span class="firstname">SÃ©bastien</span> <span class="surname">Masson</span> <code class="email">&lt;<a href="mailto:smasson_at_lodyc.jussieu.fr">smasson_at_lodyc.jussieu.fr</a>&gt;</code></h3></div>
-      <div class="author"><h3 class="author"><span class="firstname">FranÃ§oise</span> <span class="surname">Pinsard</span> <code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_lodyc.jussieu.fr">Francoise.Pinsard_at_lodyc.jussieu.fr</a>&gt;</code></h3></div>
-    </div></div></div><hr /></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#intro">1. Introduction</a></span></dt><dt><span class="sect1"><a href="#allplots">2. All plots</a></span></dt></dl></div>
+      <div class="author"><h3 class="author"><span class="firstname">SÃ©bastien</span> <span class="surname">Masson</span> <code class="email">&lt;<a href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
+      <div class="author"><h3 class="author"><span class="firstname">FranÃ§oise</span> <span class="surname">Pinsard</span> <code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
+    </div></div><div><span class="pubdate">svn Id of xml source file : $Id$<br /><br /></span></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr>
+      <tr><td align="left">Revision 0.0</td><td align="left">29 July 2005</td></tr><tr><td align="left" colspan="2">First draft</td></tr>
+      <tr><td align="left">Revision 0.1</td><td align="left">29 August 2005</td></tr><tr><td align="left" colspan="2">last Japanese version!</td></tr>
+      <tr><td align="left">Revision 0.2</td><td align="left">May 2006</td></tr><tr><td align="left" colspan="2">split with getsaxo</td></tr>
+      <tr><td align="left">Revision 0.3</td><td align="left">April 2008</td></tr><tr><td align="left" colspan="2">migration from DocBook 4.2 to Docbook 5.0</td></tr>
+
+     </table></div></div></div><hr /></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#intro">1. Introduction</a></span></dt><dt><span class="sect1"><a href="#allplots">2. All plots</a></span></dt></dl></div>
   
   
Index: trunk/SRC/Documentation/xmldoc/all_plots_docbook.xsl
===================================================================
--- trunk/SRC/Documentation/xmldoc/all_plots_docbook.xsl	(revision 347)
+++ trunk/SRC/Documentation/xmldoc/all_plots_docbook.xsl	(revision 348)
@@ -34,4 +34,6 @@
 
   <title>All plots of SAXO demo</title>
+   <xsl:copy-of select="//dbk:info"/>
+<!--
     <info>
     <authorgroup>
@@ -44,4 +46,5 @@
     </keywordset>
     </info>
+-->
     <sect1 xml:id="intro">
     <title>Introduction</title>
Index: trunk/SRC/Documentation/xmldoc/getsaxo.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 347)
+++ trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 348)
@@ -90,5 +90,5 @@
 	
       <p>
-	The <span class="bold"><strong>complete</strong></span> latest revision (source + tests data files: 771 Mb) can be checked out with the following command executed in your <code class="envar">${HOME}</code>:
+	The <span class="bold"><strong>complete</strong></span> latest revision (source + tests data files: 772 Mb) can be checked out with the following command executed in your <code class="envar">${HOME}</code>:
 	</p><pre class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/</code></em> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
@@ -96,5 +96,5 @@
       </p>
       <p>
-	The latest revision of the <span class="bold"><strong>source files</strong></span> (44 Mb) can be checked out with the following command:
+	The latest revision of the <span class="bold"><strong>source files</strong></span> (45 Mb) can be checked out with the following command:
 	</p><pre class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/SRC</code></em> <em class="parameter"><code>SAXO_DIR/SRC</code></em></code></strong>
Index: trunk/SRC/Documentation/xmldoc/makefile
===================================================================
--- trunk/SRC/Documentation/xmldoc/makefile	(revision 347)
+++ trunk/SRC/Documentation/xmldoc/makefile	(revision 348)
@@ -97,5 +97,5 @@
 	@echo "Do not forget to import wiki pages"
 	@echo "\$$ ssh $(PRODUCT)@forge.ipsl.jussieu.fr mkdir -p /tmp/wiki/$(PRODUCT)/"
-	@echo "\$$ scp $(DIRWIKI) $(PRODUCT)@forge.ipsl.jussieu.fr:/tmp/wiki/$(PRODUCT)/"
+	@echo "\$$ rsync -av --exclude=".DS_Store" --exclude=".svn" $(DIRWIKI) $(PRODUCT)@forge.ipsl.jussieu.fr:/tmp/wiki/$(PRODUCT)/"
 	@echo "\$$ ssh $(PRODUCT)@forge.ipsl.jussieu.fr trac-admin /ipsl/forge/projets/$(PRODUCT)/trac wiki load /tmp/wiki/$(PRODUCT)/"
 
Index: trunk/SRC/Documentation/xmldoc/wiki/AllPlots
===================================================================
--- trunk/SRC/Documentation/xmldoc/wiki/AllPlots	(revision 347)
+++ trunk/SRC/Documentation/xmldoc/wiki/AllPlots	(revision 348)
@@ -2,7 +2,13 @@
 #!html
 <div xmlns="http://www.w3.org/1999/xhtml" class="article" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="all_plots" id="all_plots"/>All plots of SAXO demo</h2></div><div><div class="authorgroup">
-      <div class="author"><h3 class="author"><span class="firstname">SÃ©bastien</span> <span class="surname">Masson</span> <code class="email">&lt;<a href="mailto:smasson_at_lodyc.jussieu.fr">smasson_at_lodyc.jussieu.fr</a>&gt;</code></h3></div>
-      <div class="author"><h3 class="author"><span class="firstname">FranÃ§oise</span> <span class="surname">Pinsard</span> <code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_lodyc.jussieu.fr">Francoise.Pinsard_at_lodyc.jussieu.fr</a>&gt;</code></h3></div>
-    </div></div></div><hr/></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#intro">1. Introduction</a></span></dt><dt><span class="sect1"><a href="#allplots">2. All plots</a></span></dt></dl></div>
+      <div class="author"><h3 class="author"><span class="firstname">SÃ©bastien</span> <span class="surname">Masson</span> <code class="email">&lt;<a href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
+      <div class="author"><h3 class="author"><span class="firstname">FranÃ§oise</span> <span class="surname">Pinsard</span> <code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
+    </div></div><div><span class="pubdate">svn Id of xml source file : $Id: firststeps.xml 345 2008-04-16 09:15:20Z pinsard $<br/><br/></span></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr>
+      <tr><td align="left">Revision 0.0</td><td align="left">29 July 2005</td></tr><tr><td align="left" colspan="2">First draft</td></tr>
+      <tr><td align="left">Revision 0.1</td><td align="left">29 August 2005</td></tr><tr><td align="left" colspan="2">last Japanese version!</td></tr>
+      <tr><td align="left">Revision 0.2</td><td align="left">May 2006</td></tr><tr><td align="left" colspan="2">split with getsaxo</td></tr>
+      <tr><td align="left">Revision 0.3</td><td align="left">April 2008</td></tr><tr><td align="left" colspan="2">migration from DocBook 4.2 to Docbook 5.0</td></tr>
+
+     </table></div></div></div><hr/></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#intro">1. Introduction</a></span></dt><dt><span class="sect1"><a href="#allplots">2. All plots</a></span></dt></dl></div>
   
   
Index: trunk/SRC/Documentation/xmldoc/wiki/GetSaxo
===================================================================
--- trunk/SRC/Documentation/xmldoc/wiki/GetSaxo	(revision 347)
+++ trunk/SRC/Documentation/xmldoc/wiki/GetSaxo	(revision 348)
@@ -79,5 +79,5 @@
 	
       <p>
-	The <span class="bold"><strong>complete</strong></span> latest revision (source + tests data files: 771 Mb) can be checked out with the following command executed in your <code class="envar">${HOME}</code>:
+	The <span class="bold"><strong>complete</strong></span> latest revision (source + tests data files: 772 Mb) can be checked out with the following command executed in your <code class="envar">${HOME}</code>:
 	</p><pre class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/</code></em> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
@@ -85,5 +85,5 @@
       </p>
       <p>
-	The latest revision of the <span class="bold"><strong>source files</strong></span> (44 Mb) can be checked out with the following command:
+	The latest revision of the <span class="bold"><strong>source files</strong></span> (45 Mb) can be checked out with the following command:
 	</p><pre class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/SRC</code></em> <em class="parameter"><code>SAXO_DIR/SRC</code></em></code></strong>