Index: trunk/SRC/Documentation/xmldoc/wiki/MiniNotice
===================================================================
--- trunk/SRC/Documentation/xmldoc/wiki/MiniNotice	(revision 351)
+++ trunk/SRC/Documentation/xmldoc/wiki/MiniNotice	(revision 352)
@@ -1,7 +1,5 @@
-
-
 = Mini Guide for Basic Commands in the XXX Program =
 [[PageOutline]]
-  
+
     
     
@@ -9,8 +7,5 @@
      
   
-
-
 == Launching XXX ==
-
 
 There is several ways to launch XXX which we will detail in the next sections:
@@ -29,7 +24,6 @@
 }}}
 
-
 === idl&gt; xxx ===
-  
+
     A window will open with 3 parts to consider.
 
@@ -60,18 +54,14 @@
 
 
-  
-
 ==== Data file name ====
-  
+
     The name of the data file. It can be typed directly in the window provided, or selected with the help of the browse button.
   
-
 ==== Grid initialization method ====
-  
+
     For visualising grilled data, you need to [wiki:FirstSteps define the grid] on which are located the data. By default, "automatic grid construction with initncdf.pro" is checked. This means that the grid will be defined by using the informations contained in the data file (through the IDL prodecure {{{initncdf}}}) without needing any other auxiliary file. If you checked "grid construction with other IDL batch or procedure", this means that you don't want to use the default {{{initncdf}}} procedure to define the grid and you will provide your own IDL procedure or the so-called IDL batch file (a file which is called by using @, see IDL documentation).
   
-
 ==== Grid initialization parameters ====
-  
+
     This third part allows you to specify the name, the argument and the keywords of the routine you want to use to initialize the grid.
 By default the name of the procedure is {{{initncdf}}}, its argument will be automatically defined so you cannot change them. If you If you checked "grid construction with other IDL batch or procedure", you have to select the name of the IDL procedure or batch file and its suitable arguments and keywords. Note that if you select an IDL batch file you cannot give any parameter or keyword.
@@ -84,12 +74,6 @@
       
     
-  
-  
     Once these two lines have been completed, click on let's go.
-  
   For example, we choose the IDL batch file "tst_initlev". Compare the result with "automatic grid construction with initncdf.pro" checked. Cf [#Launching XXX]
-  
-
-  
       Oceania at 125 meters of depth with proper grid initialization
 
@@ -99,20 +83,11 @@
       
   
-
-
-
-
 === idl&gt; xxx, /separate ===
 
 This is the same as the simple idl&gt; xxx except that once the xxx window open, you will have 2 separate windows (command and plotting window) instead of one.
 
-
-
 === idl&gt; xxx, restore = 'file.dat' ===
 
 In that case xxx window will open directly in the same state as it was when the file "file.dat" was created. see +++++++
-
-
-
 === idl&gt; xxx, 'file.nc' ===
 
@@ -125,6 +100,4 @@
 }}}
 
-
-
 === idl&gt; xxx, 'file.nc', keywd1 = âŠ, keywd2 = âŠ ===
 
@@ -137,10 +110,7 @@
 }}}
 
-
-
 === idl&gt; xxx, 'file.nc', 'initgrid' ===
 
-In this case, the xxx window directly open the data file 'file.nc' and build the grid directly with the IDL procedure or batch file {{{initgrid}}}
-  {{{
+In this case, the xxx window directly open the data file 'file.nc' and build the grid directly with the IDL procedure or batch file {{{initgrid}}}{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
@@ -149,25 +119,14 @@
 }}}
 
-
-
 === idl&gt; xxx, 'file.nc', 'initgrid', keywd1 = âŠ, keywd2 = âŠ ===
 
 In this case, the xxx window directly open the data file 'file.nc', build the grid directly with the IDL procedure {{{initgrid}}} and use the keywords keywd1 = âŠ, keywd2 = âŠ in the call of {{{initgrid}}}.
 
-
-
 === idl&gt; xxx, 'file.nc', 'initgrid', 'arg1, arg2, âŠ' ===
 
 In this case, the xxx window directly open the data file 'file.nc', build the grid directly with the IDL procedure {{{initgrid}}} and use the string 'arg1, arg2, âŠ' to specify the input arguments in the call of {{{initgrid}}}.
 
-
-
-
-
 == Description of XXX window ==
 
-
-
-
 Window xxx 2
 
@@ -218,6 +177,4 @@
 
 Spefications
-
-
 
 
@@ -228,6 +185,4 @@
 === Plot type list ===
 Allows specification of the type of plot desired.
-
-    
       Different plot types available
 
@@ -237,16 +192,12 @@
       
     
-
-
 
 If the type plt is selected, the selection of plot type
 is made by mouse. Cf [#Launching XXX]
 
-
-
 === The menu bar made up of 3 sub-menus ===
+
 ==== File sub-menu ====
 
-    
       The File menu
 
@@ -255,14 +206,9 @@
   
       
-    
-
-
-
-* #xA;* #xA;* #xA;
-
-
+     * Open: to open a new file. Same procedure as during the launch of XXX.
+The new file can be on a different grid, with different variables, with a different time base âŠ
+ * New XXX: to open a second XXX window identical to the first one. @star@ Quit: to close the XXX window.
 ==== Save As sub-menu ====
 
-    
       The Save As menu
 
@@ -271,14 +217,34 @@
   
       
-    
-
-
-
-* #xA;* #xA;* #xA;* #xA;* #xA;* #xA;
-
-
+     * Postscript: to save the plotting window in Postscript format @star@ Animated gif: to create an animation of the plotting window.
+The creation of an animation is only possible if none of the plots have a time axis, and if the plots are all on the same time base (calendar). On the other hand, animations of horizontal and vertical plots, with different color palettes (for those not on an X-terminal), are possible.The creation of animations has a tendency to saturate the video memory of X-terminals, crashing the entire program âŠ * Gif: to save a gif of the plotting window. @star@ IDL procedure: to save the command history that has created the plot in an IDL procedure that can be re-executed later. For example if I save the commands in {{{xxx_figure.pro}}} file, when ever I want, I can then launch a new IDL session and type:
+  {{{
+#!html
+<pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
+<code class="prompt">idl&gt;</code> <strong class="userinput"><code>@init</code></strong>
+<code class="prompt">idl&gt;</code> <strong class="userinput"><code>xxx_figure</code></strong>
+</pre>
+}}}
+
+and I'll obtain the saved figure.
+  {{{
+#!html
+<pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
+<code class="prompt">idl&gt;</code> <strong class="userinput"><code>xxx_figure,/post</code></strong>
+</pre>
+}}}
+
+or
+  {{{
+#!html
+<pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
+<code class="prompt">idl&gt;</code> <strong class="userinput"><code>@ps</code></strong>
+</pre>
+}}}
+
+will then create a Postscript file of the figure.
+ * RESTORE kwd of xxx: to save the xxx widget (all buttons and parameters stored in memory âŠ) in a binary file in order to quit xxx and relaunch it later with idl&gt; xxx, restore = 'file.dat' and get exactly the same configuration. @star@ Print to prompt: lists in the IDL window the command history that created the last plot. Useful primarily for debuggingâŠ
 ==== Flag options sub-menu ====
 
-    
       The Flag Option menu
 
@@ -287,22 +253,12 @@
   
       
-    
-
-
-
-* #xA;* #xA;* #xA;* #xA;* #xA;
-
-Careful, a selected option remains selected until it is re-clicked.
-
-
-
+     * Portrait/Landscape: changes the configuration of the plot. @star@ Overlay: to plot contours of a different field on top the
+one represented as color-filled contours. It is necessary to relaunch the entire plot to make this work! * Vecteur: to plot a vector field on top of contours. Only
+works on horizontal plots ({{{plt.pro}}}).
+As for Overlay, a relaunch of the entire plot is necessary. * Longitude / x index: switches longitude labeling of the plot sub-domain from degrees to indexes following i. @star@ Latitude / y index: switches latitude labeling of the plot sub-domain from degrees to indexes following j.Careful, a selected option remains selected until it is re-clicked.
 === OK button ===
 Click on this OK button is required to make a new plot appear
-
-
 === Page Layout ===
 Specify the number of columns and rows for plots on the sheet of paper.
-
-    
       Number of Column
 
@@ -312,7 +268,4 @@
       
     
-
-
-    
       Example: For 2 columns and 2 rows
 
@@ -322,11 +275,6 @@
       
     
-
-
-
 === List of variables ===
 You can choose the variable to work on.
-
-    
       Example of different Variables available
 
@@ -336,11 +284,6 @@
       
     
-
-
-
 === List of open files ===
 You can choose the file to work on.
-
-    
       Example of list of open files
 
@@ -350,12 +293,8 @@
       
     
-
-
-
 === Command text ===
 
 To specify in the widget part number 7 the computation you want to do on the data
 In all cases bellow, the name given to a field (a, b, c, âŠ) is of no importance.
-
 ==== Linear calculation ====
 
@@ -363,15 +302,18 @@
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">a - b</pre>
-}}}{{{
+}}}
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">numb1*a</pre>
-}}}{{{
+}}}
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">a + numb</pre>
-}}} or any command with the following format {{{
+}}}
+ or any command with the following format {{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">numb1*a + numb2*b  + numb3*c âŠ + numb</pre>
-}}} where numb1, numb2, âŠ correspond to numbers and a, b, c âŠ will be the data to read.
-
+}}}
+ where numb1, numb2, âŠ correspond to numbers and a, b, c âŠ will be the data to read.
 
 ==== Any kind of computation ====
@@ -380,20 +322,18 @@
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">"a"^2</pre>
-}}}{{{
+}}}
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">"a" - abs("b")</pre>
-}}}{{{
+}}}
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">grad("a", 'x')</pre>
-}}} âŠ
-
-
-
+}}}
+ âŠ
 
 === Calendar ===
 
 The calendar is made up of two drop-lists, which allow specification of two dates, the beginning and end of a time series, or the period over which to average before plotting.
-
-    
       Example: first plot in January, second plot is from January to December
 
@@ -403,7 +343,4 @@
       
     
-
-
-
 === Define the domain ===
 
@@ -417,5 +354,4 @@
       
   
-  
     Change Domain area: zoom on Oceania
 
@@ -425,5 +361,4 @@
       
   
-  
     This configuration give us:
 
@@ -433,5 +368,4 @@
       
   
-  
     Change depth area: between depth 125 and 126
 
@@ -441,5 +375,4 @@
       
   
-  
     temperature of the ocean at depth 125 meters without proper land/sea mask
 
@@ -450,12 +383,8 @@
   
   As you can see, at this depth, we better define a land/sea mask when loading the grid. Cf [#Launching XXX]
-
-
-
 === Specify your plot ===
 
 ==== Specify min, max and contour interval ====
 
-  
     min, max, and contour interval specifications
 
@@ -467,11 +396,6 @@
   You can restore configuration by default by pressing the Default button.
   The path of the file [../../ToBeReviewed/WIDGET/AUTOUR_de_XXX/definedefaultextra.pro definedefaultextra.pro] that defines the default values for each variable names is displayed when the cursor hovers over the button Default. This file contains a case statement based on the name of the variable and defining the min, max, contour interval and other keywords that should be used as default for the specified variable. You can copy this file in your own {{{${HOME}/My_IDL/}}} directory and easily modify it to suit your favorite default values.
-
-
-
 ==== Specify the palette to be used ====
 For the color palette, you can either specify the name or go search for one among the palettes available.
-
-    
       The Color menu
 
@@ -481,7 +405,4 @@
       
     
-
-
-
 ==== Add any keyword ====
 
@@ -495,5 +416,4 @@
       
   
-  
     Add {{{/realcont}}} keyword
 
@@ -503,5 +423,4 @@
       
   
-  
     Graphic with {{{/realcont}}} keyword
 
@@ -511,5 +430,4 @@
       
   
-  
     Add /realcont, map=[90,0,0], /ortho, cell_fill=2 keywords
 
@@ -519,5 +437,4 @@
       
   
-  
     Graphic with /realcont, map=[90,0,0], /ortho, cell_fill=2 keywords
 
@@ -527,9 +444,4 @@
       
   
-
-
-
-
-
 == Mouse Actions ==
 
@@ -538,5 +450,4 @@
 Select a domain and select the horizontal plot (plt), vertical plot
 (pltz), or the hovmoeller plot (pltt):
-
 The domain we'd like to select for the plot is determined by one of
 its diagonals, defined therefore by two points.
@@ -548,36 +459,49 @@
 To determine which type of plot should be made of selection, use:
 
-
-If the plot selector is on plt
-
-* #xA;* #xA;* #xA;
-
-
-In summary:
-
-
-
-* #xA;* #xA;
-
-
-* #xA;* #xA;
-
-
-* #xA;* #xA;
-
-
-
-
-If the plot selector is on something other than plt the indicated plot type is made.
-
-
+* If the plot selector is on plt * the left mouse button to create horizontal plots (plt) @star@ the middle mouse button to create vertical plots (pltz) @star@ the right mouse button to create common hovmoellers for xt and yt cuts (pltt)In summary:      LCL---&gt;plt
+      
+  
+    [[Image(source:/trunk/SRC/Documentation/xmldoc/figpng/xxx_mousell.png)]]
+  
+      
+    
+      Horizontal Plot
+      
+  
+    [[Image(source:/trunk/SRC/Documentation/xmldoc/figpng/xxx_0701.png)]]
+  
+      
+*           LCM---&gt;pltz
+      
+  
+    [[Image(source:/trunk/SRC/Documentation/xmldoc/figpng/xxx_mouselm.png)]]
+  
+      
+    
+      Vertical Plot
+      
+  
+    [[Image(source:/trunk/SRC/Documentation/xmldoc/figpng/xxx_0702.png)]]
+  
+      
+*           LCR---&gt;pltt
+      
+  
+    [[Image(source:/trunk/SRC/Documentation/xmldoc/figpng/xxx_mouselr.png)]]
+  
+      
+    
+      Common hovmoeller for xt and yt cuts
+      
+  
+    [[Image(source:/trunk/SRC/Documentation/xmldoc/figpng/xxx_0703.png)]]
+  
+      
+    If the plot selector is on something other than plt the indicated plot type is made.
 === Create multiple plots on the same sheet and make them interact ===
 
-
 Select the number of columns and rows for the page.
-
 Create a first plot.
 It will appear in the first frame.
-
 To create a plot in another frame double-click in the frame with the
 middle button (DCM).
@@ -590,17 +514,37 @@
 frame, all the widgets change and refer again to the first plot.
 A double-click with the right button in the second frame will erase the
-plot.
-In summary: 
-
-
-* #xA;* #xA;
-
-
-* #xA;* #xA;
-
-* #xA;
-
-Here's a series of commands to show how this works.
-
+* plot.In summary:       DCL---&gt;"reference" frame
+      
+  
+    [[Image(source:/trunk/SRC/Documentation/xmldoc/figpng/xxx_mousedl.png)]]
+  
+      
+    
+      The reference frame is selected
+      
+  
+    [[Image(source:/trunk/SRC/Documentation/xmldoc/figpng/xxx_0801.png)]]
+  
+      
+*           DCM---&gt;"target" frame
+      
+  
+    [[Image(source:/trunk/SRC/Documentation/xmldoc/figpng/xxx_mousedm.png)]]
+  
+      
+    
+      The target frame is selected
+      
+  
+    [[Image(source:/trunk/SRC/Documentation/xmldoc/figpng/xxx_0802.png)]]
+  
+      
+*           DCR---&gt;erase the frame
+      
+  
+    [[Image(source:/trunk/SRC/Documentation/xmldoc/figpng/xxx_mousedr.png)]]
+  
+      
+    Here's a series of commands to show how this works.
 
 
@@ -626,15 +570,11 @@
 
 
-
 DCM in frame 2, LCL on the plot in frame 1, to create a horizontal
 zoom in frame 2.
-
 DCM in frame 3, LCM on the plot in frame 1, to create a vertical cut
 in frame 3.
-
 DCM in frame 4, LCR on the plot in frame 1, to create a hovmoeller in frame 4.
 
 
-    
       Frame with four plot
       
@@ -647,9 +587,5 @@
 
 
-
-
 To redo the hovmoeller with the keyword {{{/nocontour}}}
-
-
 
 DCL in frame 4 which now becomes the reference and target frame.
@@ -661,6 +597,4 @@
 {{{/nocontour}}}
 
-
-    
       Command text area
       
@@ -673,9 +607,7 @@
 
 
-
 click OK, and the plot is redone.
 
 
-    
       The fourth plot with the keyword "nocontour"
       
@@ -688,15 +620,11 @@
 
 
-
-
 in frame 5, let's create the same plot as in frame 2 except we use pltv instead of plt
 
 
-
 DCL on frame 2
 
 
 
-
 DCM on frame 5
 
@@ -711,6 +639,4 @@
 Click on OK
 
-
-    
       Frame with five plot
       
@@ -722,11 +648,5 @@
 
 
-
-
-
 == What should I do when it breakdown ==
-
-
-
 
 
@@ -740,5 +660,4 @@
 
 
-
 in the IDL window, type
   {{{
@@ -749,14 +668,8 @@
 }}}
 
-
 DCR to erase the problem frame.
 
-
 change the orientation of the plot by pressing Flag options -&gt; Portrait/Landscape. Cf [#Launching XXX]
-
 quit XXX cleanly using quit from the File menu. Cf [#Launching XXX]
-
-
-
 
 
@@ -775,4 +688,2 @@
 
 
-
-