Index: trunk/SRC/Documentation/xmldoc/wiki/GetSaxo
===================================================================
--- trunk/SRC/Documentation/xmldoc/wiki/GetSaxo	(revision 353)
+++ trunk/SRC/Documentation/xmldoc/wiki/GetSaxo	(revision 354)
@@ -12,8 +12,9 @@
       We need to create 2 directories:
       
-* {{{${HOME}/SAXO_DIR}}} that will contain the source files of SAXO. It should not be modified by the user to simplify later updates.
+ * {{{${HOME}/SAXO_DIR}}} that will contain the source files of SAXO. It should not be modified by the user to simplify later updates.
          
-* {{{${HOME}/My_IDL}}} that will contain user personal files (including modified SAXO files, if needed).
-         {{{
+ * {{{${HOME}/My_IDL}}} that will contain user personal files (including modified SAXO files, if needed).
+         
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
@@ -27,67 +28,77 @@
 === If you work at IDRIS, IPSL or LOCEAN ===
 SAXO is already installed at
-	
-* IDRIS, on {{{rhodes}}}: {{{/home/rech/eee/reee217/SAXO_DIR}}}
-* IPSL: {{{/home/smlod/SAXO_DIR}}}
-* LOCEAN: {{{/usr/home/smasson/SAXO_DIR}}}
-	If you can access one of theses directories, there is no need to re-install SAXO again! In that case, you only have to link {{{${HOME}/SAXO_DIR}}} to the appropriate directory:
-	
-	  '''IDRIS'''{{{
+
+ * IDRIS, on {{{rhodes}}}: {{{/home/rech/eee/reee217/SAXO_DIR}}}
+ * IPSL: {{{/home/smlod/SAXO_DIR}}}
+ * LOCEAN: {{{/usr/home/smasson/SAXO_DIR}}}
+If you can access one of theses directories, there is no need to re-install SAXO again! In that case, you only have to link {{{${HOME}/SAXO_DIR}}} to the appropriate directory:
+
+
+'''IDRIS'''
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">ln</strong></span> <code class="option">-s</code> <em class="parameter"><code>/home/rech/eee/reee217/SAXO_DIR</code></em> <em class="parameter"><code>${HOME}/SAXO_DIR</code></em></code></strong>
-	  </pre>
-}}}
-
-	  '''IPSL'''{{{
+  </pre>
+}}}
+
+
+'''IPSL'''
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">ln</strong></span> <code class="option">-s</code> <em class="parameter"><code>/home/smlod/SAXO_DIR</code></em> <em class="parameter"><code>${HOME}/SAXO_DIR</code></em></code></strong>
-	  </pre>
-}}}
-
-	  '''LOCEAN'''{{{
+  </pre>
+}}}
+
+
+'''LOCEAN'''
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">ln</strong></span> <code class="option">-s</code> <em class="parameter"><code>/usr/home/smasson/SAXO_DIR</code></em> <em class="parameter"><code>${HOME}/SAXO_DIR</code></em></code></strong>
-	  </pre>
-}}}
-
-	
+  </pre>
+}}}
+
+
 === If Subversion (svn) is installed on your machine ===
 
 ==== Regular users ====
 
-	The ''complete'' latest revision (source + tests data files: 772 Mb) can be checked out with the following command executed in your ${HOME}:
-	{{{
+The '''complete''' latest revision (source + tests data files: 772 Mb) can be checked out with the following command executed in your ${HOME}:
+
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/</code></em> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
-	</pre>
-}}}
-
-	The latest revision of the ''source files'' (44 Mb) can be checked out with the following command:
-	{{{
+</pre>
+}}}
+
+The latest revision of the '''source files''' (45 Mb) can be checked out with the following command:
+
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/SRC</code></em> <em class="parameter"><code>SAXO_DIR/SRC</code></em></code></strong>
-	</pre>
-}}}
-
-	The latest revision of the ''NetCDF data files'' (728 Mb) used by the test programs can be checked out with the following command:
-	{{{
+</pre>
+}}}
+
+The latest revision of the '''NetCDF data files''' (728 Mb) used by the test programs can be checked out with the following command:
+
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA</code></em> <em class="parameter"><code>SAXO_DIR/DATA</code></em></code></strong>
-	</pre>
+</pre>
 }}}
 
 ==== Contributors ====
-''Contributors'' should better use the following command (and replace login by their own login):
-	{{{
+'''Contributors''' should better use the following command (and replace login by their own login):
+
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>svn+ssh://<code class="replaceable">login</code>@forge.ipsl.jussieu.fr/ipsl/forge/projets/saxo/svn/trunk/</code></em> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
-	</pre>
+</pre>
 }}}
 
@@ -96,6 +107,7 @@
 ==== Get SAXO source files (5.8M Mb) ====
 
-	  Create your {{{${HOME}/SAXO_DIR}}} directory âŠ
-	  {{{
+  Create your {{{${HOME}/SAXO_DIR}}} directory âŠ
+  
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
@@ -103,27 +115,32 @@
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">mkdir</strong></span> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
-	  </pre>
-}}}
-
-	  âŠ and download it the latest version of the sources tar file: [http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r339.tar.gz SAXO_SRC_20080321r339.tar.gz] (5.8M Mb).
+  </pre>
+}}}
+
+  âŠ and download it the latest version of the sources tar file: [http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r339.tar.gz SAXO_SRC_20080321r339.tar.gz] (5.8M Mb).
 
 This tar.gz file could also be downloaded with {{{wget}}} or {{{curl}}}
-	  '''wget'''{{{
+
+'''wget'''
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r339.tar.gz</code></em></code></strong>
-	  </pre>
-}}}
-
-	  '''curl'''{{{
+  </pre>
+}}}
+
+
+'''curl'''
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20080321r339.tar.gz</code></em></code></strong>
-	  </pre>
-}}}
-
-		
-	Untar the file
-	{{{
+  </pre>
+}}}
+
+
+Untar the file
+
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
@@ -131,15 +148,16 @@
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">tar</strong></span> <code class="option">xvfz</code> <em class="parameter"><code>SAXO_SRC_20080321r339.tar.gz</code></em></code></strong>
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">rm</strong></span> <em class="parameter"><code>SAXO_SRC_20080321r339.tar.gz</code></em></code></strong>
-	</pre>
+</pre>
 }}}
 
 ==== Get SAXO tests data files (238M Mb) ====
 
-	If you want to use the tests programs, you need to download the data tests files ({{{SAXO_DATA_20060602.tar.gz}}}), you may download theses files in
-	
-* {{{${HOME}/My_IDL}}}. This is the easiest solution but it could be inconvenient if your ${HOME} disk space is limited.
+If you want to use the tests programs, you need to download the data tests files ({{{SAXO_DATA_20060602.tar.gz}}}), you may download theses files in
+
+ * {{{${HOME}/My_IDL}}}. This is the easiest solution but it could be inconvenient if your ${HOME} disk space is limited.
            
  * any other directory of your choice. In that case, when using IDL, you will need to define the variable {{{iodir}}} to the directory you choose in order to let IDL find the data tests files. This can be done either through the {{{init.pro}}} file (see [#Create SAXO environment]) or directly within IDL with the following command: idl&gt;iodir = '''''the chosen directory'''''.
-           {{{
+           
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
@@ -147,29 +165,34 @@
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">mkdir</strong></span> <em class="parameter"><code><code class="replaceable">CHOSEN_DIR</code></code></em></code></strong>
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code><code class="replaceable">CHOSEN_DIR</code></code></em></code></strong>
-	</pre>
-}}}
-
-	Download [http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz SAXO_DATA_20060602.tar.gz] (238M Mb)
-	or with {{{wget}}} or {{{curl}}} âŠ
-	
-	  '''wget'''{{{
+</pre>
+}}}
+
+Download [http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz SAXO_DATA_20060602.tar.gz] (238M Mb)
+or with {{{wget}}} or {{{curl}}} âŠ
+
+
+'''wget'''
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz</code></em></code></strong>
- 	  </pre>
-}}}
-
-	  '''curl'''{{{
+   </pre>
+}}}
+
+
+'''curl'''
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz</code></em></code></strong>
-	  </pre>
-}}}
-
-	
+  </pre>
+}}}
+
+
 == Generate your init.pro file ==
 
-	To use SAXO, we need to build an IDL script that we usually call "{{{init.pro}}}". This file contains a set of IDL commands and default definitions (paths and variables of the common files) that are necessary to SAXO. Once it has been created, {{{init.pro}}} should the first executed command when starting IDL session.
-      {{{
+To use SAXO, we need to build an IDL script that we usually call "{{{init.pro}}}". This file contains a set of IDL commands and default definitions (paths and variables of the common files) that are necessary to SAXO. Once it has been created, {{{init.pro}}} should the first executed command when starting IDL session.
+      
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
@@ -180,23 +203,24 @@
   <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">buildinit</strong></span></code></strong>
   <code class="computeroutput">% Compiled module: BUILDINIT.</code>
-	</pre>
-}}}
-
-	You must then answer several questions:
-
-* give the path of {{{${HOME}/My_IDL}}}
-* give the path of {{{${HOME}/SAXO_DIR}}}
-* compatibility with the old version: No (except if you want to use old programs)
-* give a default path for the data directory
-* give a default path for the postscript directory
-* give a default path for the images directory
-* give a default path for the animation directory
-* number of accessible printer and their configuration
-* default color table
-* default page orientation (portrait/landscape)
-* default page size
-* default window size
-* postscript archiving options
-* name of the init file ({{{init.pro}}}){{{
+</pre>
+}}}
+
+You must then answer several questions:
+
+ * give the path of {{{${HOME}/My_IDL}}}
+ * give the path of {{{${HOME}/SAXO_DIR}}}
+ * compatibility with the old version: No (except if you want to use old programs)
+ * give a default path for the data directory
+ * give a default path for the postscript directory
+ * give a default path for the images directory
+ * give a default path for the animation directory
+ * number of accessible printer and their configuration
+ * default color table
+ * default page orientation (portrait/landscape)
+ * default page size
+ * default window size
+ * postscript archiving options
+ * name of the init file ({{{init.pro}}})
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
@@ -212,8 +236,8 @@
    <code class="computeroutput">% Compiled module: CW_FIELD.</code>
    <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">exit</strong></span></code></strong>
-	</pre>
-}}}
-
-	There is an example of the kind of [idlfiles/init_example.pro  init.pro] you should get.
+</pre>
+}}}
+
+There is an example of the kind of [idlfiles/init_example.pro  init.pro] you should get.
       
 == After this ==