Index: trunk/SRC/Documentation/xmldoc/mini_notice.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/mini_notice.html	(revision 351)
+++ trunk/SRC/Documentation/xmldoc/mini_notice.html	(revision 356)
@@ -52,5 +52,5 @@
 </p><div class="figure"><a name="fig_xxx_0101" id="fig_xxx_0101"></a><p class="title"><b>FigureÂ 1.Â Window xxx 1</b></p><div class="figure-contents">
 
-<div class="mediaobject"><img border="0" usemap="id2572796" src="figpng/xxx_0101.png" alt="Window xxx 1" /><map name="id2572796" id="id2572796"><area shape="rect" coords="27,298,504,249" /><area shape="rect" coords="81,242,450,183" /><area shape="rect" coords="3,175,538,36" /></map><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png" alt="1" border="0" /></td><td valign="top" align="left">
+<div class="mediaobject"><img border="0" usemap="id2572841" src="figpng/xxx_0101.png" alt="Window xxx 1" /><map name="id2572841" id="id2572841"><area shape="rect" coords="27,298,504,249" /><area shape="rect" coords="81,242,450,183" /><area shape="rect" coords="3,175,538,36" /></map><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png" alt="1" border="0" /></td><td valign="top" align="left">
 <p>Data file name</p>
 </td></tr><tr><td width="5%" valign="top" align="left"><img src="images/callouts/2.png" alt="2" border="0" /></td><td valign="top" align="left">
@@ -69,5 +69,5 @@
 <div class="sect3" lang="en" xml:lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="initmethodtxt" id="initmethodtxt"></a>1.1.2.Â Grid initialization method</h4></div></div></div>
   <p>
-    For visualising grilled data, you need to <a href="./firststeps.html#load_grid" target="_top">define the grid</a> on which are located the data. By default, "automatic grid construction with initncdf.pro" is checked. This means that the grid will be defined by using the informations contained in the data file (through the IDL prodecure <span><strong class="command">initncdf</strong></span>) without needing any other auxiliary file. If you checked "grid construction with other IDL batch or procedure", this means that you don't want to use the default <span><strong class="command">initncdf</strong></span> procedure to define the grid and you will provide your own IDL procedure or the so-called IDL batch file (a file which is called by using @, see IDL documentation).
+    For visualising grilled data, you need to <a href="./firststeps.html#load_grid" target="_top">define the grid</a> on which are located the data. By default, <span class="guibutton">automatic grid construction with initncdf.pro</span> is checked. This means that the grid will be defined by using the informations contained in the data file (through the IDL prodecure <span><strong class="command">initncdf</strong></span>) without needing any other auxiliary file. If you checked <span class="guibutton">grid construction with other IDL batch or procedure</span>, this means that you don't want to use the default <span><strong class="command">initncdf</strong></span> procedure to define the grid and you will provide your own IDL procedure or the so-called IDL batch file (a file which is called by using @, see IDL documentation).
   </p>
 </div>
@@ -75,5 +75,5 @@
   <p>
     This third part allows you to specify the name, the argument and the keywords of the routine you want to use to initialize the grid.
-By default the name of the procedure is <span><strong class="command">initncdf</strong></span>, its argument will be automatically defined so you cannot change them. If you If you checked "grid construction with other IDL batch or procedure", you have to select the name of the IDL procedure or batch file and its suitable arguments and keywords. Note that if you select an IDL batch file you cannot give any parameter or keyword.
+By default the name of the procedure is <span><strong class="command">initncdf</strong></span>, its argument will be automatically defined so you cannot change them. If you checked <span class="guibutton">grid construction with other IDL batch or procedure</span>, you have to select the name of the IDL procedure or batch file and its suitable arguments and keywords. Note that if you select an IDL batch file you cannot give any parameter or keyword.
     </p><div class="figure"><a name="fig_xxx_0102" id="fig_xxx_0102"></a><p class="title"><b>FigureÂ 2.Â Window xxx 1</b></p><div class="figure-contents">
       
@@ -84,5 +84,5 @@
     Once these two lines have been completed, click on <span class="guibutton">let's go</span>.
   </p>
-  <p>For example, we choose the IDL batch file "tst_initlev". Compare the result with "automatic grid construction with initncdf.pro" checked. Cf <a href="#fig_xxx_0404" title="FigureÂ 18.Â temperature of the ocean at depth 125 meters without proper land/sea mask">FigureÂ 18, âtemperature of the ocean at depth 125 meters without proper land/sea maskâ</a>
+  <p>For example, we choose the IDL batch file <code class="filename">tst_initlev</code>. Compare the result with <span class="guibutton">automatic grid construction with initncdf.pro</span> checked. Cf <a href="#fig_xxx_0404" title="FigureÂ 18.Â temperature of the ocean at depth 125 meters without proper land/sea mask">FigureÂ 18, âtemperature of the ocean at depth 125 meters without proper land/sea maskâ</a>
   </p>
 <p>
@@ -97,5 +97,5 @@
 <div class="sect2" lang="en" xml:lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="launch_xxx_2" id="launch_xxx_2"></a>1.2.Â <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span>, <em class="parameter"><code>/separate</code></em></code></strong></h3></div></div></div>
 <p>
-This is the same as the simple <a href="#launch_xxx_1" title="1.1.Â idl&gt; xxx"><code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span></code></strong></a> except that once the xxx window open, you will have 2 separate windows (command and plotting window) instead of one.
+This is the same as the simple <a href="#launch_xxx_1" title="1.1.Â idl&gt; xxx">SectionÂ 1.1, â<code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span></code></strong>â</a> except that once the xxx window open, you will have 2 separate windows (command and plotting window) instead of one.
 </p>
 </div>
@@ -103,5 +103,5 @@
 <div class="sect2" lang="en" xml:lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="launch_xxx_3" id="launch_xxx_3"></a>1.3.Â <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span>, <em class="parameter"><code>restore = 'file.dat'</code></em></code></strong></h3></div></div></div>
 <p>
-In that case xxx window will open directly in the same state as it was when the file "file.dat" was created. see <a href="#restore">+++++++</a>
+In that case xxx window will open directly in the same state as it was when the file <code class="filename">file.dat</code> was created. see <a href="#restore">???</a>.
 </p>
 </div>
@@ -109,5 +109,5 @@
 <div class="sect2" lang="en" xml:lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="launch_xxx_4" id="launch_xxx_4"></a>1.4.Â <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span>, <em class="parameter"><code>'file.nc'</code></em></code></strong></h3></div></div></div>
 <p>
-In this case, the xxx window directly open the data file 'file.nc' and build the grid automatically with the IDL procedure <span><strong class="command">initncdf</strong></span>. For example:
+In this case, the xxx window directly open the data file <code class="filename">file.nc</code> and build the grid automatically with the IDL procedure <span><strong class="command">initncdf</strong></span>. For example:
   </p><pre class="screen">
     <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span>, <em class="parameter"><code>'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'</code></em></code></strong>
@@ -118,5 +118,5 @@
 <div class="sect2" lang="en" xml:lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="launch_xxx_5" id="launch_xxx_5"></a>1.5.Â <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span>, <em class="parameter"><code>'file.nc'</code></em>, <em class="parameter"><code>keywd1 = âŠ</code></em>, <em class="parameter"><code>keywd2 = âŠ</code></em></code></strong></h3></div></div></div>
 <p>
-In this case, the xxx window directly open the data file 'file.nc', build the grid automatically with the IDL procedure <span><strong class="command">initncdf</strong></span> and use the keywords <strong class="userinput"><code><em class="parameter"><code>keywd1 = âŠ</code></em>, <em class="parameter"><code>keywd2 = âŠ</code></em></code></strong> in the call of <span><strong class="command">initncdf</strong></span>. For example:
+In this case, the xxx window directly open the data file <code class="filename">file.nc</code>, build the grid automatically with the IDL procedure <span><strong class="command">initncdf</strong></span> and use the keywords <strong class="userinput"><code><em class="parameter"><code>keywd1 = âŠ</code></em>, <em class="parameter"><code>keywd2 = âŠ</code></em></code></strong> in the call of <span><strong class="command">initncdf</strong></span>. For example:
   </p><pre class="screen">
     <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span>, <em class="parameter"><code>'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'</code></em>, <em class="parameter"><code>useasmask = 'votemper'</code></em>, <em class="parameter"><code>missing_value = 31.0720</code></em></code></strong>
@@ -127,5 +127,5 @@
 <div class="sect2" lang="en" xml:lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="launch_xxx_6" id="launch_xxx_6"></a>1.6.Â <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span>, <em class="parameter"><code>'file.nc'</code></em>, <em class="parameter"><code>'initgrid'</code></em></code></strong></h3></div></div></div>
 <p>
-In this case, the xxx window directly open the data file 'file.nc' and build the grid directly with the IDL procedure or batch file <span><strong class="command">initgrid</strong></span>
+In this case, the xxx window directly open the data file <code class="filename">file.nc</code> and build the grid directly with the IDL procedure or batch file <span><strong class="command">initgrid</strong></span>
   </p><pre class="screen">
     <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span>, <em class="parameter"><code>'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'</code></em>, <em class="parameter"><code>'tst_initorca2'</code></em></code></strong>
@@ -136,5 +136,5 @@
 <div class="sect2" lang="en" xml:lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="launch_xxx_7" id="launch_xxx_7"></a>1.7.Â <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span>, <em class="parameter"><code>'file.nc'</code></em>, <em class="parameter"><code>'initgrid'</code></em>, <em class="parameter"><code>keywd1 = âŠ</code></em>, <em class="parameter"><code>keywd2 = âŠ</code></em></code></strong></h3></div></div></div>
 <p>
-In this case, the xxx window directly open the data file 'file.nc', build the grid directly with the IDL procedure <span><strong class="command">initgrid</strong></span> and use the keywords <strong class="userinput"><code><em class="parameter"><code>keywd1 = âŠ</code></em>, <em class="parameter"><code>keywd2 = âŠ</code></em></code></strong> in the call of <span><strong class="command">initgrid</strong></span>.
+In this case, the xxx window directly open the data file <code class="filename">file.nc</code>, build the grid directly with the IDL procedure <span><strong class="command">initgrid</strong></span> and use the keywords <strong class="userinput"><code><em class="parameter"><code>keywd1 = âŠ</code></em>, <em class="parameter"><code>keywd2 = âŠ</code></em></code></strong> in the call of <span><strong class="command">initgrid</strong></span>.
 </p>
 </div>
@@ -142,5 +142,5 @@
 <div class="sect2" lang="en" xml:lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="launch_xxx_8" id="launch_xxx_8"></a>1.8.Â <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span>, <em class="parameter"><code>'file.nc'</code></em>, <em class="parameter"><code>'initgrid'</code></em>, <em class="parameter"><code>'arg1, arg2, âŠ'</code></em></code></strong></h3></div></div></div>
 <p>
-In this case, the xxx window directly open the data file 'file.nc', build the grid directly with the IDL procedure <span><strong class="command">initgrid</strong></span> and use the string <strong class="userinput"><code><em class="parameter"><code>'arg1, arg2, âŠ'</code></em></code></strong> to specify the input arguments in the call of <span><strong class="command">initgrid</strong></span>.
+In this case, the xxx window directly open the data file <code class="filename">file.nc</code>, build the grid directly with the IDL procedure <span><strong class="command">initgrid</strong></span> and use the string <strong class="userinput"><code><em class="parameter"><code>'arg1, arg2, âŠ'</code></em></code></strong> to specify the input arguments in the call of <span><strong class="command">initgrid</strong></span>.
 </p>
 </div>
@@ -154,5 +154,5 @@
 </p><div class="figure"><a name="fig_xxx_0201" id="fig_xxx_0201"></a><p class="title"><b>FigureÂ 4.Â Window xxx 2</b></p><div class="figure-contents">
 
-<div class="mediaobject"><img border="0" usemap="id2573385" src="figpng/xxx_0201.png" alt="Window xxx 2" /><map name="id2573385" id="id2573385"><area shape="rect" coords="4,346,122,331" /><area shape="rect" coords="136,346,409,330" /><area shape="rect" coords="6,326,55,311" /><area shape="rect" coords="88,326,243,311" /><area shape="rect" coords="263,326,407,311" /><area shape="rect" coords="2,306,433,293" /><area shape="rect" coords="2,288,436,269" /><area shape="rect" coords="2,263,267,237" /><area shape="rect" coords="20,230,388,105" /><area shape="rect" coords="1,98,434,29" /></map><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png" alt="1" border="0" /></td><td valign="top" align="left">
+<div class="mediaobject"><img border="0" usemap="id2573460" src="figpng/xxx_0201.png" alt="Window xxx 2" /><map name="id2573460" id="id2573460"><area shape="rect" coords="4,346,122,331" /><area shape="rect" coords="136,346,409,330" /><area shape="rect" coords="6,326,55,311" /><area shape="rect" coords="88,326,243,311" /><area shape="rect" coords="263,326,407,311" /><area shape="rect" coords="2,306,433,293" /><area shape="rect" coords="2,288,436,269" /><area shape="rect" coords="2,263,267,237" /><area shape="rect" coords="20,230,388,105" /><area shape="rect" coords="1,98,434,29" /></map><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png" alt="1" border="0" /></td><td valign="top" align="left">
 <p>Plot type</p>
 </td></tr><tr><td width="5%" valign="top" align="left"><img src="images/callouts/2.png" alt="2" border="0" /></td><td valign="top" align="left">
@@ -202,5 +202,5 @@
 </p>
 <p>
-</p><div class="itemizedlist"><ul type="disc"><li><p><span class="guisubmenu">Open:</span> to open a new file. Same procedure as during the <a href="#launch_xxx_1" title="1.1.Â idl&gt; xxx">launch of XXX</a>.
+</p><div class="itemizedlist"><ul type="disc"><li><p><span class="guisubmenu">Open:</span> to open a new file. Same procedure as during the <a href="#launch_xxx_1" title="1.1.Â idl&gt; xxx">SectionÂ 1.1, â<code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span></code></strong>â</a>.
 The new file can be on a different grid, with different variables, with a different time base âŠ
 </p></li><li><p><span class="guisubmenu">New XXX:</span> to open a second XXX window identical to the first one.</p></li><li><p><span class="guisubmenu">Quit:</span> to close the XXX window.</p></li></ul></div><p>
@@ -232,18 +232,23 @@
 </pre><p>
 will then create a Postscript file of the figure.
-</p></li><li><p><a name="restore" id="restore"></a><span class="guisubmenu">RESTORE kwd of xxx:</span> to save the xxx widget (all buttons and parameters stored in memory âŠ) in a binary file in order to quit xxx and relaunch it later with <a href="#launch_xxx_3" title="1.3.Â idl&gt; xxx, restore = 'file.dat'"><code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span>, <em class="parameter"><code>restore = 'file.dat'</code></em></code></strong></a> and get exactly the same configuration.</p></li><li><p><span class="guisubmenu">Print to prompt:</span> lists in the IDL window the command history that created the last plot. Useful primarily for debuggingâŠ</p></li></ul></div><p>
+</p></li><li>
+<p><a name="restore" id="restore"></a><span class="guisubmenu">RESTORE kwd of xxx:</span> to save the xxx widget (all buttons and parameters stored in memory âŠ) in a binary file in order to quit xxx and relaunch it later like in <a href="#launch_xxx_3" title="1.3.Â idl&gt; xxx, restore = 'file.dat'">SectionÂ 1.3, â<code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span>, <em class="parameter"><code>restore = 'file.dat'</code></em></code></strong>â</a> and get exactly the same configuration.
+</p>
+</li><li>
+<p>
+<span class="guisubmenu">Print to prompt:</span> lists in the IDL window the command history that created the last plot. Useful primarily for debuggingâŠ
+</p>
+</li></ul></div><p>
 </p>
 </div>
 <div class="sect3" lang="en" xml:lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="flagsubmenu" id="flagsubmenu"></a>2.2.3.Â <span class="guisubmenu">Flag options</span> sub-menu</h4></div></div></div>
 <p>
-    </p><div class="figure"><a name="fig_xxx_0205" id="fig_xxx_0205"></a><p class="title"><b>FigureÂ 8.Â The Flag Option menu</b></p><div class="figure-contents">
-      
-<div class="mediaobject"><img src="figpng/xxx_0205.png" alt="The Flag Option menu" /></div>
-    </div></div><p><br class="figure-break" />
-</p>
-<p>
-</p><div class="itemizedlist"><ul type="disc"><li><p><span class="guisubmenu">Portrait/Landscape:</span> changes the configuration of the plot.</p></li><li><p><span class="guisubmenu">Overlay:</span> to plot contours of a different field on top the
-one represented as color-filled contours. It is necessary to relaunch the entire plot to make this work!</p></li><li><p><span class="guisubmenu">Vecteur:</span> to plot a vector field on top of contours. Only
-works on horizontal plots (<code class="filename">plt.pro</code>).
+    </p><div class="figure"><a name="fig_xxx_0205" id="fig_xxx_0205"></a><p class="title"><b>FigureÂ 8.Â The <span class="guisubmenu">Flag option</span> menu</b></p><div class="figure-contents">
+      
+<div class="mediaobject"><img src="figpng/xxx_0205.png" alt="The Flag option menu" /></div>
+    </div></div><p><br class="figure-break" />
+</p>
+<p>
+</p><div class="itemizedlist"><ul type="disc"><li><p><span class="guisubmenu">Portrait/Landscape:</span> changes the configuration of the plot.</p></li><li><p><span class="guisubmenu">Overlay:</span> to plot contours of a different field on top the one represented as color-filled contours. It is necessary to relaunch the entire plot to make this work!</p></li><li><p><span class="guisubmenu">Vecteur:</span> to plot a vector field on top of contours. Only works on horizontal plots (<code class="filename">plt.pro</code>).
 As for Overlay, a relaunch of the entire plot is necessary.</p></li><li><p><span class="guisubmenu">Longitude / x index:</span> switches longitude labeling of the plot sub-domain from degrees to indexes following i.</p></li><li><p><span class="guisubmenu">Latitude / y index:</span> switches latitude labeling of the plot sub-domain from degrees to indexes following j.</p></li></ul></div><p>
 </p>
@@ -275,7 +280,7 @@
 <p>You can choose the variable to work on.</p>
 <p>
-    </p><div class="figure"><a name="fig_xxx_0207" id="fig_xxx_0207"></a><p class="title"><b>FigureÂ 11.Â Example of different Variables available</b></p><div class="figure-contents">
-      
-<div class="mediaobject"><img src="figpng/xxx_0207.png" alt="Example of different Variables available" /></div>
+    </p><div class="figure"><a name="fig_xxx_0207" id="fig_xxx_0207"></a><p class="title"><b>FigureÂ 11.Â Example of different variables available</b></p><div class="figure-contents">
+      
+<div class="mediaobject"><img src="figpng/xxx_0207.png" alt="Example of different variables available" /></div>
     </div></div><p><br class="figure-break" />
 </p>
@@ -299,10 +304,10 @@
 <div class="sect3" lang="en" xml:lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="commandtext_linear" id="commandtext_linear"></a>2.7.1.Â Linear calculation</h4></div></div></div>
 <p>
-If you want to make basic linear computation (like difference between fields, add/multiply by a constant âŠ). you can simply put the following commands: </p><pre class="screen">a - b</pre><pre class="screen">numb1*a</pre><pre class="screen">a + numb</pre><p> or any command with the following format </p><pre class="screen">numb1*a + numb2*b  + numb3*c âŠ + numb</pre><p> where numb1, numb2, âŠ correspond to numbers and a, b, c âŠ will be the data to read.
+If you want to make basic linear computation (like difference between fields, add/multiply by a constant âŠ), you can simply put the following commands: <code class="literal">a - b</code><code class="literal">numb1*a</code><code class="literal">a + numb</code> or any command with the following format <code class="literal">numb1*a + numb2*b  + numb3*c âŠ + numb</code> where numb1, numb2, âŠ correspond to numbers and a, b, c âŠ will be the data to read.
 </p>
 </div>
 <div class="sect3" lang="en" xml:lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="commandtext_anykind" id="commandtext_anykind"></a>2.7.2.Â Any kind of computation</h4></div></div></div>
 <p>
-If you want to make a computation more complicated than a basic linear you must put designate the data you want to read between <span><strong class="keycap">"</strong></span><span><strong class="keycap">"</strong></span> (with anything in between the "). For example: </p><pre class="screen">"a"^2</pre><pre class="screen">"a" - abs("b")</pre><pre class="screen">grad("a", 'x')</pre><p> âŠ
+If you want to make a computation more complicated than a basic linear you must designate the data you want to read between <span><strong class="keycap">"</strong></span><span><strong class="keycap">"</strong></span> (with anything in between the "). For example: </p><pre class="screen">"a"^2</pre><pre class="screen">"a" - abs("b")</pre><pre class="screen">grad("a", 'x')</pre><p> âŠ
 </p>
 </div>
@@ -497,5 +502,5 @@
 </p>
 <p>
-    </p><div class="figure"><a name="fig_xxx_0801" id="fig_xxx_0801"></a><p class="title"><b>FigureÂ 33.Â The reference frame is selected</b></p><div class="figure-contents">
+    </p><div class="figure"><a name="fig_xxx_0801" id="fig_xxx_0801"></a><p class="title"><b>FigureÂ 33.Â The â<span class="quote">reference</span>â frame is selected</b></p><div class="figure-contents">
       
       <div class="mediaobject"><img src="figpng/xxx_0801.png" alt="The reference frame is selected" /></div>
@@ -511,5 +516,5 @@
 </p>
 <p>
-    </p><div class="figure"><a name="fig_xxx_0802" id="fig_xxx_0802"></a><p class="title"><b>FigureÂ 35.Â The target frame is selected</b></p><div class="figure-contents">
+    </p><div class="figure"><a name="fig_xxx_0802" id="fig_xxx_0802"></a><p class="title"><b>FigureÂ 35.Â The â<span class="quote">target</span>â frame is selected</b></p><div class="figure-contents">
       
       <div class="mediaobject"><img src="figpng/xxx_0802.png" alt="The target frame is selected" /></div>
@@ -528,5 +533,5 @@
 <div class="procedure"><ol type="1"><li>
 <p>
-load xxx with the command:
+Load xxx with the command:
   </p><pre class="screen">
     <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">xxx</strong></span>, <em class="parameter"><code>'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'</code></em>, <em class="parameter"><code>'tst_initorca05'</code></em></code></strong>
@@ -543,11 +548,9 @@
 </li><li>
 <p>
-<abbr class="abbrev">DCM</abbr> in frame 2, <abbr class="abbrev">LCL</abbr> on the plot in frame 1, to create a horizontal
-zoom in frame 2.</p>
-<p>
-<abbr class="abbrev">DCM</abbr> in frame 3, <abbr class="abbrev">LCM</abbr> on the plot in frame 1, to create a vertical cut
-in frame 3.</p>
-<p>
-<abbr class="abbrev">DCM</abbr> in frame 4, <abbr class="abbrev">LCR</abbr> on the plot in frame 1, to create a hovmoeller in frame 4.
+<abbr class="abbrev">DCM</abbr> in frame 2, <abbr class="abbrev">LCL</abbr> on the plot in frame 1 to create a horizontal zoom in frame 2.</p>
+<p>
+<abbr class="abbrev">DCM</abbr> in frame 3, <abbr class="abbrev">LCM</abbr> on the plot in frame 1 to create a vertical cut in frame 3.</p>
+<p>
+<abbr class="abbrev">DCM</abbr> in frame 4, <abbr class="abbrev">LCR</abbr> on the plot in frame 1 to create a hovmoeller in frame 4.
 </p>
 <p>
@@ -577,5 +580,5 @@
 </li><li>
 <p>
-click <span class="guibutton">OK</span>, and the plot is redone.
+Click <span class="guibutton">OK</span>, and the plot is redone.
 </p>
 <p>
@@ -587,5 +590,5 @@
 </li></ol></div>
 <div class="procedure"><p>
-in frame 5, let's create the same plot as in frame 2 except we use pltv instead of plt
+In frame 5, let's create the same plot as in frame 2 except we use pltv instead of plt
 </p><ol type="1"><li>
 <p>
@@ -598,5 +601,5 @@
 </li><li>
 <p>
-change plt for pltv
+Change plt for pltv
 </p>
 </li><li>
@@ -624,14 +627,18 @@
 </p></li><li>
 <p>
-in the IDL window, type
-  </p><pre class="screen">
-<code class="prompt">idl&gt;</code> <strong class="userinput"><code>domdef</code></strong>
+In the IDL window, type
+</p><pre class="screen">
+ <code class="prompt">idl&gt;</code> <strong class="userinput"><code>domdef</code></strong>
 </pre><p>
 </p></li><li>
 <p><abbr class="abbrev">DCR</abbr> to erase the problem frame.
 </p>
-</li><li><p>change the orientation of the plot by pressing Flag options -&gt; Portrait/Landscape. Cf <a href="#flagsubmenu" title="2.2.3.Â Flag options sub-menu">SectionÂ 2.2.3, â<span class="guisubmenu">Flag options</span> sub-menuâ</a>
-</p></li><li><p>quit XXX cleanly using <span class="guisubmenu">quit</span> from the <span class="guibutton">File</span> menu. Cf <a href="#filesubmenu" title="2.2.1.Â File sub-menu">SectionÂ 2.2.1, â<span class="guibutton">File</span> sub-menuâ</a>
-</p></li></ol></div><p>
+</li><li>
+<p>change the orientation of the plot by pressing <span class="guisubmenu">Flag options</span> â <span class="guimenuitem">Portrait/Landscape</span>. Cf <a href="#flagsubmenu" title="2.2.3.Â Flag options sub-menu">SectionÂ 2.2.3, â<span class="guisubmenu">Flag options</span> sub-menuâ</a>
+</p>
+</li><li>
+<p>quit XXX cleanly using <span class="guisubmenu">quit</span> from the <span class="guibutton">File</span> menu. Cf <a href="#filesubmenu" title="2.2.1.Â File sub-menu">SectionÂ 2.2.1, â<span class="guibutton">File</span> sub-menuâ</a>
+</p>
+</li></ol></div><p>
 </p>
 <div class="note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3>
@@ -643,6 +650,6 @@
 overflow.
 To clean up this memory:
-  </p><pre class="screen">
-<code class="prompt">idl&gt;</code> <strong class="userinput"><code>ptr_free, ptr_valid()</code></strong>
+</p><pre class="screen">
+ <code class="prompt">idl&gt;</code> <strong class="userinput"><code>ptr_free, ptr_valid()</code></strong>
 </pre><p>
 </p>