Index: trunk/SRC/Documentation/idldoc_html_output/Interpolation/file_interp.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Interpolation/file_interp.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Interpolation/file_interp.html	(revision 363)
@@ -109,5 +109,5 @@
 	
 	  <p class="header">
-	    file_interp<span class="result">, <a href="#_file_interp_param_filein">filein</a>, <a href="#_file_interp_param_fileout">fileout</a>, <a href="#_file_interp_param_gridout">gridout</a></span>, <a href="#_file_interp_keyword_GRIDIN">GRIDIN</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_MASKIN">MASKIN</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_MASKOUT">MASKOUT</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_KEEP">KEEP</a>=<span class="result">string array</span>, <a href="#_file_interp_keyword_REMOVE">REMOVE</a>=<span class="result">string array</span>, <a href="#_file_interp_keyword_METHOD">METHOD</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_SMOOTH">SMOOTH</a>=<span class="result">scalar 0 or 1</span>, <a href="#_file_interp_keyword_SET_XDIMNAME">SET_XDIMNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_SET_YDIMNAME">SET_YDIMNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_SET_XAXISNAME">SET_XAXISNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_SET_YAXISNAME">SET_YAXISNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_INMASKNAME">INMASKNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_ININVMASK">ININVMASK</a>=<span class="result">scalar: 0 or 1</span>, <a href="#_file_interp_keyword_INUSEASMASK">INUSEASMASK</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_INMISSING_VALUE">INMISSING_VALUE</a>=<span class="result">scalar</span>, <a href="#_file_interp_keyword_INADDSCL_BEFORE">INADDSCL_BEFORE</a>=<span class="result">scalar: 0 or 1</span>, <a href="#_file_interp_keyword_OUTMASKNAME">OUTMASKNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_OUTINVMASK">OUTINVMASK</a>=<span class="result">scalar: 0 or 1</span>, <a href="#_file_interp_keyword_OUTUSEASMASK">OUTUSEASMASK</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_OUTMISSING_VALUE">OUTMISSING_VALUE</a>=<span class="result">scalar</span>, <a href="#_file_interp_keyword_OUTADDSCL_BEFORE">OUTADDSCL_BEFORE</a>=<span class="result">scalar: 0 or 1</span>, <a href="#_file_interp_keyword_NAN_VALUE">NAN_VALUE</a>=<span class="result">scalar</span>, <a href="#_file_interp_keyword_WEIG">WEIG</a>=<span class="result">2d array or variable name</span>, <a href="#_file_interp_keyword_ADDR">ADDR</a>=<span class="result">2d array or variable name</span>, <a href="#_file_interp_keyword_INXAXISNAME">INXAXISNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_INYAXISNAME">INYAXISNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_OUTXAXISNAME">OUTXAXISNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_OUTYAXISNAME">OUTYAXISNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword__EXTRA">_EXTRA</a>=<span class="result">_EXTRA</span></p>
+	    file_interp<span class="result">, <a href="#_file_interp_param_filein">filein</a>, <a href="#_file_interp_param_fileout">fileout</a>, <a href="#_file_interp_param_gridout">gridout</a></span>, <a href="#_file_interp_keyword_GRIDIN">GRIDIN</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_MASKIN">MASKIN</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_MASKOUT">MASKOUT</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_KEEP">KEEP</a>=<span class="result">string array</span>, <a href="#_file_interp_keyword_REMOVE">REMOVE</a>=<span class="result">string array</span>, <a href="#_file_interp_keyword_METHOD">METHOD</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_SMOOTH">SMOOTH</a>=<span class="result">scalar 0 or 1</span>, <a href="#_file_interp_keyword_SET_XDIMNAME">SET_XDIMNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_SET_YDIMNAME">SET_YDIMNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_SET_XAXISNAME">SET_XAXISNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_SET_YAXISNAME">SET_YAXISNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_INMASKNAME">INMASKNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_ININVMASK">ININVMASK</a>=<span class="result">scalar: 0 or 1</span>, <a href="#_file_interp_keyword_INUSEASMASK">INUSEASMASK</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_INMISSING_VALUE">INMISSING_VALUE</a>=<span class="result">scalar</span>, <a href="#_file_interp_keyword_INADDSCL_BEFORE">INADDSCL_BEFORE</a>=<span class="result">scalar: 0 or 1</span>, <a href="#_file_interp_keyword_INTESTOP">INTESTOP</a>=<span class="result">scalar string, for example 'GT 0.5'</span>, <a href="#_file_interp_keyword_OUTMASKNAME">OUTMASKNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_OUTINVMASK">OUTINVMASK</a>=<span class="result">scalar: 0 or 1</span>, <a href="#_file_interp_keyword_OUTUSEASMASK">OUTUSEASMASK</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_OUTMISSING_VALUE">OUTMISSING_VALUE</a>=<span class="result">scalar</span>, <a href="#_file_interp_keyword_OUTADDSCL_BEFORE">OUTADDSCL_BEFORE</a>=<span class="result">scalar: 0 or 1</span>, <a href="#_file_interp_keyword_OUTTESTOP">OUTTESTOP</a>=<span class="result">scalar string, for example 'GT 0.5'</span>, <a href="#_file_interp_keyword_MISSING_VALUE">MISSING_VALUE</a>=<span class="result">scalar</span>, <a href="#_file_interp_keyword_WEIG">WEIG</a>=<span class="result">2d array or variable name</span>, <a href="#_file_interp_keyword_ADDR">ADDR</a>=<span class="result">2d array or variable name</span>, <a href="#_file_interp_keyword_INXAXISNAME">INXAXISNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_INYAXISNAME">INYAXISNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_OUTXAXISNAME">OUTXAXISNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword_OUTYAXISNAME">OUTYAXISNAME</a>=<span class="result">scalar string</span>, <a href="#_file_interp_keyword__EXTRA">_EXTRA</a>=<span class="result">_EXTRA</span></p>
 	
 	  <div class="comments">
@@ -223,5 +223,5 @@
  determined through <a href="..//ReadWrite/ncdf_getmask.html">ncdf_getmask</a> according to the keywords
  outmaskname, outinvmask, outuseasmask, outmissing_value,
- outaddscl_before (see bellow)
+ outaddscl_before (see below).
 </div>
 	    
@@ -404,11 +404,13 @@
 	
 	    <div class="comments">
- A string giving the name of the variable in the input mask file maskin
- that will be used to build the land/sea mask. In this case the
+ A string giving the name of the variable in the input mask file
+ that will be used to build the input land/sea mask. In this case the
  mask is based on the first record (if record dimension
- exists). The mask is build according to :
-    1 the keyword missing_value if existing
-    2 the attribute 'missing_value' if existing
-    3 NaN values if existing
+ exists). The input mask is build according to operator defined by INTESTOP
+ keyword (default NE) and the testing values defined as 
+   1) the second word of TESTOP if existing
+   2) MISSING_VALUE keyword
+   3) attribute missing_value or _fillvalue of the variable USEASMASK
+   4) !Values.f_nan (can be used only with NE and EQ operators)
 </div>
 	    
@@ -426,5 +428,9 @@
 	    <div class="comments">
  To define (or redefine if the attribute is already existing) the
- missing values used by INUSEASMASK keyword
+ missing values used with INUSEASMASK keyword to build the input mask.
+ Note that this value is not used if INTESTOP keyword is given and
+ contains 2 words.
+ Note: do not mismatch with MISSING_VALUE used to detect missing
+ values at reach record.   
 </div>
 	    
@@ -445,4 +451,28 @@
 </div>
 	    
+	    <h4 id="_file_interp_keyword_INTESTOP">INTESTOP&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      <span class="attr">type:</span> <span class="value">scalar string, for example 'GT 0.5'</span>
+	      <span class="attr">default:</span> <span class="value">'NE'</span>
+	      
+	    </h4>
+	
+	    <div class="comments">
+ a string describing the type of test that will be done to define the
+ input mask. The test is performed on the variable specified by INUSEASMASK
+ keyword.
+ INTESTOP can contain 1 or 2 words. The first word is the operator
+ definition: "EQ" "NE" "GE" "GT" "LE" "LT" (default is NE). The
+ second word define the testing value. If INTESTOP contains only 1
+ word, then the test value is denifed by
+   1) INMISSING_VALUE keyword
+   2) attribute missing_value or _fillvalue of the variable INUSEASMASK
+   3) !Values.f_nan (can be used only with NE and EQ operators)
+</div>
+	    
 	    <h4 id="_file_interp_keyword_OUTMASKNAME">OUTMASKNAME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
@@ -520,5 +550,20 @@
 </div>
 	    
-	    <h4 id="_file_interp_keyword_NAN_VALUE">NAN_VALUE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_file_interp_keyword_OUTTESTOP">OUTTESTOP&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      <span class="attr">type:</span> <span class="value">scalar string, for example 'GT 0.5'</span>
+	      <span class="attr">default:</span> <span class="value">'NE'</span>
+	      
+	    </h4>
+	
+	    <div class="comments">
+ same as INTESTOP but for output mask file maskout
+</div>
+	    
+	    <h4 id="_file_interp_keyword_MISSING_VALUE">MISSING_VALUE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -527,12 +572,16 @@
 	      
 	      <span class="attr">type:</span> <span class="value">scalar</span>
-	      <span class="attr">default:</span> <span class="value">not used</span>
-	      
-	    </h4>
-	
-	    <div class="comments">
- define the missing value in input data (missing values are treated
+	      <span class="attr">default:</span> <span class="value">defined by attribute missing_value or _fillvalue</span>
+	      
+	    </h4>
+	
+	    <div class="comments">
+ (Re)define the missing value in input data (missing values are treated
  like masked values and will be filled with extrapolation before
- interpolation).
+ interpolation). 
+ Note: do not mismatch with (IN/OUT)MISSING_VALUE which are missing value
+ used (in association with (IN/OUT)USEASMASK) to built the mask (that
+ does not change from one record to another).
+ Note: this value will be apply to all interpolated variables
 </div>
 	    
@@ -656,10 +705,10 @@
  IDL> file_interp, filein, fileout, gridout, inxaxisname = 'lo', inyaxisname = 'la', keep = ['lo', 'la', 'cond_sed']
 
- IDL> file_interp, in, out, gdout, inuseasmask = 'sst', inmissing_value = -1.00000e+30, nan_value = -1000.00
+ IDL> file_interp, in, out, gdout, inuseasmask = 'sst', inmissing_value = -1.00000e+30, missing_value = -1000.00
 </div>
 	  <h3>Version history</h3>
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: file_interp.pro 330 2008-02-01 16:28:24Z smasson $
+ $Id: file_interp.pro 362 2008-07-29 09:00:03Z smasson $
 </div>
 	  <h4>History</h4><div class="preformat">
@@ -675,7 +724,11 @@
 
  - perform only horizontal interpolations on scalar fields
- - will fill all masked and missing values before interpolation
+ - all masked and missing values are filled before interpolation
+   -> output data are not masked and have values everywhere.
  - attributes (like valid_min...) are not updated
  - see restrictions of <a href="..//Interpolation/fromreg.html">fromreg</a> and <a href="..//Interpolation/fromirr.html">fromirr</a>
+ - output mask is not used but, if the input file contains the mask
+   in a variable (defined by inmaskname), this variable will contain
+   the output mask in the ouput file
 </div>
 	
@@ -692,5 +745,5 @@
 	  <h3>Statistics</h3>
 	  <table class="statistics">
-	    <tr><td>McCabe cyclic</td><td>          68</td></tr>
+	    <tr><td>McCabe cyclic</td><td>          69</td></tr>
 	    <tr><td>McCabe essential</td><td>           1</td></tr>
 	    <tr><td>McCabe modular design</td><td>           1</td></tr>