Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 370)
@@ -180,5 +180,5 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 370)
@@ -93,5 +93,5 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @restrictions
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 370)
@@ -178,5 +178,5 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 370)
@@ -151,5 +151,5 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro	(revision 370)
@@ -2,5 +2,6 @@
 ;
 ; @file_comments
-; Same thing that bar_plot but compatible with the whole environment (common.pro included)
+; Same thing that bar_plot but compatible with the whole environment 
+; (<pro>common</pro> included)
 ;
 ; @categories Graphics
@@ -24,14 +25,15 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @restrictions
 ; If NOREINITPLT is not activated, all environment
-; variables !p, !x, !y, !z are reinitializted by the procedure <pro>reinitplt</pro>
+; variables !p, !x, !y, !z are reinitialized by the procedure <pro>reinitplt</pro>
 ;
 ; @examples
-; IDL> sbar_plot, indgen(10),small = [2,2,2],/rempli
-; IDL> sbar_plot, indgen(10),small = [2,2,3],/noerase
-; IDL> \@ps
+;
+;   IDL> sbar_plot, indgen(10),small = [2,2,2],/rempli
+;   IDL> sbar_plot, indgen(10),small = [2,2,3],/noerase
+;   IDL> \@ps
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro	(revision 370)
@@ -2,5 +2,6 @@
 ;
 ; @file_comments
-; Same thing that contour but compatible with the whole environment (common.pro included)
+; Same thing that contour but compatible with the whole environment 
+; (<pro>common</pro> included)
 ;
 ; @categories
@@ -9,5 +10,5 @@
 ; @keyword NOREINITPLT
 ; We active it if we do not want environment variables !p, !x, !y, !z
-; to be reinitilalized by the procedure reinitplt
+; to be reinitilalized by the procedure <pro>reinitplt</pro>
 ;
 ; @keyword _EXTRA
@@ -15,10 +16,11 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @examples
-; IDL> z = dist(100)
-; IDL> scontour, z, nlevels=10,small=[1,2,1],xstyle=1,ystyle=1
-; IDL> \@ps
+; 
+;   IDL> z = dist(100)
+;   IDL> scontour, z, nlevels=10,small=[1,2,1],xstyle=1,ystyle=1
+;   IDL> \@ps
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 370)
@@ -2,5 +2,6 @@
 ;
 ; @file_comments
-; Same thing than plot but compatible with the whole environment (common.pro included)
+; Same thing than plot but compatible with the whole environment 
+; (<pro>common</pro> included)
 ;
 ; @categories
@@ -15,14 +16,16 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @restrictions
 ; If NOREINITPLT is not activated, all environment
-; variables !p, !x, !y, !z are reinitializted by the procedure <pro>reinitplt</pro>
+; variables !p, !x, !y, !z are reinitialized by the procedure 
+; <pro>reinitplt</pro>
 ;
 ; @examples
-; IDL> splot, indgen(10),ystyle=1,small=[1,2,1],/portrait
-; IDL> splot, -indgen(10),ystyle=1,small=[1,2,2],/noerase
-; IDL> \@ps
+;
+;   IDL> splot, indgen(10),ystyle=1,small=[1,2,1],/portrait
+;   IDL> splot, -indgen(10),ystyle=1,small=[1,2,2],/noerase
+;   IDL> \@ps
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/addaxe.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/addaxe.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/addaxe.pro	(revision 370)
@@ -20,5 +20,5 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro	(revision 370)
@@ -180,5 +180,5 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checktypeminmax.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checktypeminmax.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checktypeminmax.pro	(revision 370)
@@ -45,5 +45,5 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @restrictions
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/determineminmax.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/determineminmax.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/determineminmax.pro	(revision 370)
@@ -36,5 +36,5 @@
 ;
 ; @uses
-; Common.pro
+; <pro>common</pro>
 ;
 ; @restrictions
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/meridienparallele.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/meridienparallele.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/meridienparallele.pro	(revision 370)
@@ -11,5 +11,5 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placecolor.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placecolor.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placecolor.pro	(revision 370)
@@ -20,5 +20,5 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @restrictions
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 370)
@@ -116,5 +116,5 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro	(revision 370)
@@ -13,5 +13,5 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @restrictions
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/saveatt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/saveatt.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/saveatt.pro	(revision 370)
@@ -12,5 +12,5 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro	(revision 370)
@@ -29,5 +29,5 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/ajoutvect.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/ajoutvect.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/ajoutvect.pro	(revision 370)
@@ -34,5 +34,5 @@
 ;
 ; @uses
-; common.pro		
+; <pro>common</pro>
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro	(revision 369)
+++ trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro	(revision 370)
@@ -152,5 +152,5 @@
 ;
 ; @uses
-; common.pro
+; <pro>common</pro>
 ;
 ; @history