Index: trunk/SRC/Interpolation/clickincell.pro
===================================================================
--- trunk/SRC/Interpolation/clickincell.pro	(revision 370)
+++ trunk/SRC/Interpolation/clickincell.pro	(revision 371)
@@ -43,5 +43,5 @@
 ;
 ; @examples
-;  IDL> res = clickincell()
+;   IDL> res = clickincell()
 ;
 ; Click with the left button to select a cell. Clicking one more
@@ -49,6 +49,6 @@
 ; Click on the right button to quit.
 ;
-;  IDL> plt, findgen(jpi,jpj),/nodata,map=[90,0,0],/ortho
-;  IDL> print, clickincell(/draw,color=150,/xy)
+;   IDL> plt, findgen(jpi,jpj),/nodata,map=[90,0,0],/ortho
+;   IDL> print, clickincell(/draw,color=150,/xy)
 ;
 ; @history
Index: trunk/SRC/Interpolation/cutpar.pro
===================================================================
--- trunk/SRC/Interpolation/cutpar.pro	(revision 370)
+++ trunk/SRC/Interpolation/cutpar.pro	(revision 371)
@@ -42,17 +42,17 @@
 ; @examples
 ;
-; IDL> x0 = [2,6,2]
-; IDL> y0 = [0,2,6]
-; IDL> x1 = [3,8,4]
-; IDL> y1 = [4,4,6]
-; IDL> x2 = [1,6,4]
-; IDL> y2 = [5,6,8]
-; IDL> x3 = [0,4,2]
-; IDL> y3 = [1,4,8]
-; IDL> n = 4
-; IDL> splot, [0,10], [0,10], xstyle = 1, ystyle = 1,/nodata
-; IDL> for i=0,2 do oplot, [x0[i],x1[i],x2[i],x3[i],x0[i]],[y0[i],y1[i],y2[i],y3[i],y0[i]]
-; IDL> res=cutpar(x0, y0, x1, y1, x2, y2, x3, y3, n)
-; IDL> for i=0,2 do oplot, [res[0,*,i]], [res[1,*,i]], color = 20+10*i, psym = 1, thick = 3
+;   IDL> x0 = [2,6,2]
+;   IDL> y0 = [0,2,6]
+;   IDL> x1 = [3,8,4]
+;   IDL> y1 = [4,4,6]
+;   IDL> x2 = [1,6,4]
+;   IDL> y2 = [5,6,8]
+;   IDL> x3 = [0,4,2]
+;   IDL> y3 = [1,4,8]
+;   IDL> n = 4
+;   IDL> splot, [0,10], [0,10], xstyle = 1, ystyle = 1,/nodata
+;   IDL> for i=0,2 do oplot, [x0[i],x1[i],x2[i],x3[i],x0[i]],[y0[i],y1[i],y2[i],y3[i],y0[i]]
+;   IDL> res=cutpar(x0, y0, x1, y1, x2, y2, x3, y3, n)
+;   IDL> for i=0,2 do oplot, [res[0,*,i]], [res[1,*,i]], color = 20+10*i, psym = 1, thick = 3
 ;
 ; @history
Index: trunk/SRC/Interpolation/cutsegment.pro
===================================================================
--- trunk/SRC/Interpolation/cutsegment.pro	(revision 370)
+++ trunk/SRC/Interpolation/cutsegment.pro	(revision 371)
@@ -30,14 +30,15 @@
 ;
 ; @examples
-; IDL> x0=[2,5]
-; IDL> y0=[5,1]
-; IDL> x1=[9,3]
-; IDL> y1=[1,8]
-; IDL> res=cutsegment(x0, y0, x1, y1, 10)
-; IDL> splot, [0,10], [0,10], xstyle = 1, ystyle = 1,/nodata
-; IDL> oplot, [x0[0], x1[0]], [y0[0], y1[0]]
-; IDL> oplot, [res[0,*,0]], [res[1,*,0]], color = 20, psym = 1, thick = 3
-; IDL> oplot, [x0[1], x1[1]], [y0[1], y1[1]]
-; IDL> oplot, [res[0,*,1]], [res[1,*,1]], color = 40, psym = 1, thick = 3
+;
+;   IDL> x0=[2,5]
+;   IDL> y0=[5,1]
+;   IDL> x1=[9,3]
+;   IDL> y1=[1,8]
+;   IDL> res=cutsegment(x0, y0, x1, y1, 10)
+;   IDL> splot, [0,10], [0,10], xstyle = 1, ystyle = 1,/nodata
+;   IDL> oplot, [x0[0], x1[0]], [y0[0], y1[0]]
+;   IDL> oplot, [res[0,*,0]], [res[1,*,0]], color = 20, psym = 1, thick = 3
+;   IDL> oplot, [x0[1], x1[1]], [y0[1], y1[1]]
+;   IDL> oplot, [res[0,*,1]], [res[1,*,1]], color = 40, psym = 1, thick = 3
 ;
 ; @history
Index: trunk/SRC/Interpolation/extrapolate.pro
===================================================================
--- trunk/SRC/Interpolation/extrapolate.pro	(revision 370)
+++ trunk/SRC/Interpolation/extrapolate.pro	(revision 371)
@@ -39,10 +39,13 @@
 ;
 ; @examples
-; IDL> a=extrapolate(dist(jpi,jpj),tmask[*,*,0],/x_periodic)
-; IDL> tvplus, a
-; IDL> tvplus, a*(1-tmask[*,*,0])
+;
+;   IDL> a=extrapolate(dist(jpi,jpj),tmask[*,*,0],/x_periodic)
+;   IDL> tvplus, a
+;   IDL> tvplus, a*(1-tmask[*,*,0])
+;
 ; get the coastline:
-; IDL> a=extrapolate(tmask[*,*,0],tmask[*,*,0],1,/x_periodic)
-; IDL> tvplus, a-tmask[*,*,0]
+;
+;   IDL> a=extrapolate(tmask[*,*,0],tmask[*,*,0],1,/x_periodic)
+;   IDL> tvplus, a-tmask[*,*,0]
 ;
 ; @history
Index: trunk/SRC/Interpolation/extrapsmooth.pro
===================================================================
--- trunk/SRC/Interpolation/extrapsmooth.pro	(revision 370)
+++ trunk/SRC/Interpolation/extrapsmooth.pro	(revision 371)
@@ -37,9 +37,12 @@
 ;
 ; @examples
-; IDL> a=extrapsmooth(dist(jpi,jpj),tmask[*,*,0],/x_periodic)
-; IDL> tvplus, a
+;
+;   IDL> a=extrapsmooth(dist(jpi,jpj),tmask[*,*,0],/x_periodic)
+;   IDL> tvplus, a
+;
 ; compare to extrapolate result:
-; IDL> b=extrapolate(dist(jpi,jpj),tmask[*,*,0],/x_periodic)
-; IDL> tvplus, b, window = 1
+;
+;   IDL> b=extrapolate(dist(jpi,jpj),tmask[*,*,0],/x_periodic)
+;   IDL> tvplus, b, window = 1
 ;
 ; @history
Index: trunk/SRC/Interpolation/file_interp.pro
===================================================================
--- trunk/SRC/Interpolation/file_interp.pro	(revision 370)
+++ trunk/SRC/Interpolation/file_interp.pro	(revision 371)
@@ -232,7 +232,6 @@
 ; @examples
 ;
-; IDL> file_interp, filein, fileout, gridout, inxaxisname = 'lo', inyaxisname = 'la', keep = ['lo', 'la', 'cond_sed']
-;
-; IDL> file_interp, in, out, gdout, inuseasmask = 'sst', inmissing_value = -1.00000e+30, missing_value = -1000.00
+;   IDL> file_interp, filein, fileout, gridout, inxaxisname = 'lo', inyaxisname = 'la', keep = ['lo', 'la', 'cond_sed']
+;   IDL> file_interp, in, out, gdout, inuseasmask = 'sst', inmissing_value = -1.00000e+30, missing_value = -1000.00
 ;
 ; @history
Index: trunk/SRC/Interpolation/fromirr.pro
===================================================================
--- trunk/SRC/Interpolation/fromirr.pro	(revision 370)
+++ trunk/SRC/Interpolation/fromirr.pro	(revision 371)
@@ -65,5 +65,5 @@
 ;  To interpolate 1 field:
 ;
-; IDL> tncep = fromirr('bilinear', topa, glamt, gphit, tmask[*,*,0], lonout, latout, mskout)
+;   IDL> tncep = fromirr('bilinear', topa, glamt, gphit, tmask[*,*,0], lonout, latout, mskout)
 ;
 ;  or if you have several fields to interpolate from the same source and target grids
@@ -72,12 +72,12 @@
 ;   (that must be undefined or equal to 0 before calling fromirr)
 ;
-; IDL> t1ncep = fromirr('bilinear', topa, glamt, gphit, tmask[*,*,0], lonout, latout, mskout $
+;   IDL> t1ncep = fromirr('bilinear', topa, glamt, gphit, tmask[*,*,0], lonout, latout, mskout $
 ;                            , WEIG = a, ADDR = b)
-; IDL> help, a, b
+;   IDL> help, a, b
 ;
 ; 2) use a and b that are now defined to bypass the computation of the weights 
 ; and addresses and speed-up the computation!
 ;
-; IDL> t2ncep = fromirr('bilinear', topa, WEIG = a, ADDR = b)
+;   IDL> t2ncep = fromirr('bilinear', topa, WEIG = a, ADDR = b)
 ;
 ; @history
Index: trunk/SRC/Interpolation/fromreg.pro
===================================================================
--- trunk/SRC/Interpolation/fromreg.pro	(revision 370)
+++ trunk/SRC/Interpolation/fromreg.pro	(revision 371)
@@ -67,5 +67,5 @@
 ;  To interpolate 1 field:
 ;
-; IDL> topa = fromreg('bilinear', tncep, xncep, yncep, glamt, gphit)
+;   IDL> topa = fromreg('bilinear', tncep, xncep, yncep, glamt, gphit)
 ;
 ;  or if you have several fields to interpolate from the same source and target grids
@@ -74,11 +74,11 @@
 ;   (that must be undefined or equal to 0 before calling fromreg
 ;
-; IDL> t1opa = fromreg('bilinear', t1ncep, xncep, yncep, glamt, gphit, WEIG = a, ADDR = b)
-; IDL> help, a, b
+;   IDL> t1opa = fromreg('bilinear', t1ncep, xncep, yncep, glamt, gphit, WEIG = a, ADDR = b)
+;   IDL> help, a, b
 ;
 ; 2) use a and b that are now defined to bypass the computation of the weights and addresses 
 ; and speed-up the computation!
 ;
-; IDL> t2opa = fromreg('bilinear', t2ncep, xncep, yncep, glamt, gphit, WEIG = a, ADDR = b)
+;   IDL> t2opa = fromreg('bilinear', t2ncep, xncep, yncep, glamt, gphit, WEIG = a, ADDR = b)
 ;
 ; @history
Index: trunk/SRC/Interpolation/get_gridparams.pro
===================================================================
--- trunk/SRC/Interpolation/get_gridparams.pro	(revision 370)
+++ trunk/SRC/Interpolation/get_gridparams.pro	(revision 371)
@@ -14,8 +14,8 @@
 ;
 ; Case 1:
-; IDL> get_gridparams, file name/id, lonname, latname, lon, lat, jpi, jpj, n_dimensions
+;   IDL> get_gridparams, file name/id, lonname, latname, lon, lat, jpi, jpj, n_dimensions
 ;
 ; Case 2:
-; IDL> get_gridparams, lon, lat, jpi, jpj, n_dimensions
+;   IDL> get_gridparams, lon, lat, jpi, jpj, n_dimensions
 ;
 ; @param in1 {in}{required}
Index: trunk/SRC/Interpolation/inquad.pro
===================================================================
--- trunk/SRC/Interpolation/inquad.pro	(revision 370)
+++ trunk/SRC/Interpolation/inquad.pro	(revision 371)
@@ -54,18 +54,18 @@
 ; @examples
 ;
-; IDL> x = 1.*[1, 2, 6, 7, 3]
-; IDL> y = 1.*[1, 3, 3, 4, 7]
-; IDL> x1 = 1.*[0,4,2]
-; IDL> y1 = 1.*[1,4,8]
-; IDL> x2 = 1.*[1,6,4]
-; IDL> y2 = 1.*[5,6,8]
-; IDL> x3 = 1.*[3,8,4]
-; IDL> y3 = 1.*[4,4,6]
-; IDL> x4 = 1.*[2,6,2]
-; IDL> y4 = 1.*[0,2,6]
-; IDL> splot, [0,10], [0,10], xstyle = 1, ystyle = 1,/nodata
-; IDL> for i=0,2 do oplot, [x4[i],x1[i],x2[i],x3[i],x4[i]],[y4[i],y1[i],y2[i],y3[i],y4[i]]
-; IDL> oplot, x, y, color = 20, psym = 1, thick = 2
-; IDL> print, inquad(x, y, x1, y1, x2, y2, x3, y3, x4, y4)
+;   IDL> x = 1.*[1, 2, 6, 7, 3]
+;   IDL> y = 1.*[1, 3, 3, 4, 7]
+;   IDL> x1 = 1.*[0,4,2]
+;   IDL> y1 = 1.*[1,4,8]
+;   IDL> x2 = 1.*[1,6,4]
+;   IDL> y2 = 1.*[5,6,8]
+;   IDL> x3 = 1.*[3,8,4]
+;   IDL> y3 = 1.*[4,4,6]
+;   IDL> x4 = 1.*[2,6,2]
+;   IDL> y4 = 1.*[0,2,6]
+;   IDL> splot, [0,10], [0,10], xstyle = 1, ystyle = 1,/nodata
+;   IDL> for i=0,2 do oplot, [x4[i],x1[i],x2[i],x3[i],x4[i]],[y4[i],y1[i],y2[i],y3[i],y4[i]]
+;   IDL> oplot, x, y, color = 20, psym = 1, thick = 2
+;   IDL> print, inquad(x, y, x1, y1, x2, y2, x3, y3, x4, y4)
 ;
 ; On a sphere see
Index: trunk/SRC/Interpolation/inrecgrid.pro
===================================================================
--- trunk/SRC/Interpolation/inrecgrid.pro	(revision 370)
+++ trunk/SRC/Interpolation/inrecgrid.pro	(revision 371)
@@ -35,11 +35,11 @@
 ; @examples
 ;
-; IDL> a=indgen(5)
-; IDL> b=indgen(7)
-; IDL> r=inrecgrid([0.25,3.25,2],[4.25,2.8,1.4],a,b)
-; IDL> print, r
+;   IDL> a=indgen(5)
+;   IDL> b=indgen(7)
+;   IDL> r=inrecgrid([0.25,3.25,2],[4.25,2.8,1.4],a,b)
+;   IDL> print, r
 ;            20          13           7
-; IDL> r=inrecgrid([0.25,3.25,2],[4.25,2.8,1.4],a,a+1,b,b+1,/output2d)
-; IDL> print, r
+;   IDL> r=inrecgrid([0.25,3.25,2],[4.25,2.8,1.4],a,a+1,b,b+1,/output2d)
+;   IDL> print, r
 ;        0.00000      4.00000
 ;        3.00000      2.00000
Index: trunk/SRC/Interpolation/lbcorca.pro
===================================================================
--- trunk/SRC/Interpolation/lbcorca.pro	(revision 370)
+++ trunk/SRC/Interpolation/lbcorca.pro	(revision 371)
@@ -29,9 +29,10 @@
 ;
 ; @examples
-;    IDL> \@tst_initorca2
-;    IDL> a = dist(jpiglo, jpjglo)
-;    IDL> print, lbcorca(a, 'T')
-;    IDL> dummy = lbcorca(a, 'T', /correction)
-;    IDL> print, lbcorca(a, 'T')
+;
+;   IDL> \@tst_initorca2
+;   IDL> a = dist(jpiglo, jpjglo)
+;   IDL> print, lbcorca(a, 'T')
+;   IDL> dummy = lbcorca(a, 'T', /correction)
+;   IDL> print, lbcorca(a, 'T')
 
 ; @history
Index: trunk/SRC/Interpolation/ll_narcs_distances.pro
===================================================================
--- trunk/SRC/Interpolation/ll_narcs_distances.pro	(revision 370)
+++ trunk/SRC/Interpolation/ll_narcs_distances.pro	(revision 371)
@@ -40,21 +40,22 @@
 ;
 ; @examples
-; IDL> Lon_lat0 = [1.0, 2.0]; Initial point specified in radians
-; IDL> Arc_Dist = 2.0; Arc distance in radians
-; IDL> Az = 1.0; Azimuth in radians
-; IDL> Result = LL_ARC_DISTANCE(Lon_lat0, Arc_Dist, Az)
-; IDL> PRINT, Result
+;
+;   IDL> Lon_lat0 = [1.0, 2.0]; Initial point specified in radians
+;   IDL> Arc_Dist = 2.0; Arc distance in radians
+;   IDL> Az = 1.0; Azimuth in radians
+;   IDL> Result = LL_ARC_DISTANCE(Lon_lat0, Arc_Dist, Az)
+;   IDL> PRINT, Result
 ;       2.91415    -0.622234
 ;
-; IDL> lon0 = [-10, 20, 100]
-; IDL> lat0 = [0, -10, 45]
-; IDL> lon1 = [10, 60, 280]
-; IDL> lat1 = [0, 10, 45]
-; IDL> dist = map_npoints(lon0, lat0, lon1, lat1, azimuth = azi, /two_by_two)
-; IDL> earthradius = 6378206.4d0
-; IDL> res = ll_narcs_distances(lon0, lat0, dist/earthradius, azi, /degrees)
-; IDL> print, reform(res[0, *])
+;   IDL> lon0 = [-10, 20, 100]
+;   IDL> lat0 = [0, -10, 45]
+;   IDL> lon1 = [10, 60, 280]
+;   IDL> lat1 = [0, 10, 45]
+;   IDL> dist = map_npoints(lon0, lat0, lon1, lat1, azimuth = azi, /two_by_two)
+;   IDL> earthradius = 6378206.4d0
+;   IDL> res = ll_narcs_distances(lon0, lat0, dist/earthradius, azi, /degrees)
+;   IDL> print, reform(res[0, *])
 ;       10.000000       60.000000       280.00000
-; IDL> print, reform(res[1, *])
+;   IDL> print, reform(res[1, *])
 ;           1.1999280e-15       10.000000       45.000000
 ;
Index: trunk/SRC/Interpolation/map_npoints.pro
===================================================================
--- trunk/SRC/Interpolation/map_npoints.pro	(revision 370)
+++ trunk/SRC/Interpolation/map_npoints.pro	(revision 371)
@@ -48,47 +48,47 @@
 ; and P1[i] (in that case, we have np0 = np1 = np) ; if /MIDDLE see this keyword.
 ; @examples
-; IDL> print, $
-; IDL> map_npoints([-105.15,1],[40.02,1],[-0.07,100,50],[51.30,20,0])
+;   IDL> print, $
+;   IDL> map_npoints([-105.15,1],[40.02,1],[-0.07,100,50],[51.30,20,0])
 ; 7551369.3 5600334.8
 ; 12864354. 10921254.
 ; 14919237. 5455558.8
 ;
-; IDL> lon0 = [-10, 20, 100]
-; IDL> lat0 = [0, -10, 45]
-; IDL> lon1 = [10, 60, 280]
-; IDL> lat1 = [0, 10, 45]
-; IDL> dist = map_npoints(lon0, lat0, lon1, lat1, AZIMUTH = azi)
-; IDL> help, dist, azi
+;   IDL> lon0 = [-10, 20, 100]
+;   IDL> lat0 = [0, -10, 45]
+;   IDL> lon1 = [10, 60, 280]
+;   IDL> lat1 = [0, 10, 45]
+;   IDL> dist = map_npoints(lon0, lat0, lon1, lat1, AZIMUTH = azi)
+;   IDL> help, dist, azi
 ; DIST DOUBLE = Array[3, 3]
 ; AZI DOUBLE = Array[3, 3]
-; IDL> print, dist[4*lindgen(3)], azi[4*lindgen(3)]
+;   IDL> print, dist[4*lindgen(3)], azi[4*lindgen(3)]
 ; 2226414.0 4957944.5 10018863.
 ; 90.000000 64.494450 4.9615627e-15
-; IDL> dist = map_npoints(lon0, lat0, lon1, lat1, AZIMUTH = azi, /TWO_BY_TWO)
-; IDL> help, dist, azi
+;   IDL> dist = map_npoints(lon0, lat0, lon1, lat1, AZIMUTH = azi, /TWO_BY_TWO)
+;   IDL> help, dist, azi
 ; DIST DOUBLE = Array[3]
 ; AZI DOUBLE = Array[3]
-; IDL> print, dist, azi
+;   IDL> print, dist, azi
 ; 2226414.0 4957944.5 10018863.
 ; 90.000000 64.494450 4.9615627e-15
-; IDL> print, map_2points(lon0[0], lat0[0], lon1[0], lat1[0])
+;   IDL> print, map_2points(lon0[0], lat0[0], lon1[0], lat1[0])
 ; 20.000000 90.000000
-; IDL> print, map_npoints(lon0[0], lat0[0], lon1[0], lat1[0], AZIMUTH=azi)/6378206.4d0 / !dtor, azi
+;   IDL> print, map_npoints(lon0[0], lat0[0], lon1[0], lat1[0], AZIMUTH=azi)/6378206.4d0 / !dtor, azi
 ; 20.000000
 ; 90.000000
 ;
-; IDL> lon0 = [-10, 20, 100]
-; IDL> lat0 = [0, -10, 45]
-; IDL> lon1 = [10, 60, 280]
-; IDL> lat1 = [0, 10, 45]
-; IDL> mid = map_npoints(lon0, lat0, lon1, lat1, /MIDDLE, /TWO_BY_TWO)
-; IDL> print, reform(mid[0,*]), reform(mid[1,*])
+;   IDL> lon0 = [-10, 20, 100]
+;   IDL> lat0 = [0, -10, 45]
+;   IDL> lon1 = [10, 60, 280]
+;   IDL> lat1 = [0, 10, 45]
+;   IDL> mid = map_npoints(lon0, lat0, lon1, lat1, /MIDDLE, /TWO_BY_TWO)
+;   IDL> print, reform(mid[0,*]), reform(mid[1,*])
 ; 0.0000000 40.000000 190.00000
 ; 0.0000000 -1.5902773e-15 90.000000
-; IDL> print, (map_2points(lon0[0], lat0[0], lon1[0], lat1[0], npath = 3))[*, 1]
+;   IDL> print, (map_2points(lon0[0], lat0[0], lon1[0], lat1[0], npath = 3))[*, 1]
 ; 0.0000000 0.0000000
-; IDL> print, (map_2points(lon0[1], lat0[1], lon1[1], lat1[1], npath = 3))[*, 1]
+;   IDL> print, (map_2points(lon0[1], lat0[1], lon1[1], lat1[1], npath = 3))[*, 1]
 ; 40.000000 -1.5902773e-15
-; IDL> print, (map_2points(lon0[2], lat0[2], lon1[2], lat1[2], npath = 3))[*, 1]
+;   IDL> print, (map_2points(lon0[2], lat0[2], lon1[2], lat1[2], npath = 3))[*, 1]
 ; 190.00000 90.000000
 ;
Index: trunk/SRC/Interpolation/neighbor.pro
===================================================================
--- trunk/SRC/Interpolation/neighbor.pro	(revision 370)
+++ trunk/SRC/Interpolation/neighbor.pro	(revision 371)
@@ -32,8 +32,9 @@
 ;
 ; @examples
-; IDL> print, neighbor(-105.15,40.02,[-0.07,100,50],[51.30,20,0], $
-; IDL> distance=dis)
+;
+;   IDL> print, neighbor(-105.15,40.02,[-0.07,100,50],[51.30,20,0], $
+;               distance=dis)
 ;                  0
-; IDL> print, dis
+;   IDL> print, dis
 ;             105.684      206.125      160.228
 ;
Index: trunk/SRC/Interpolation/quadrilateral2square.pro
===================================================================
--- trunk/SRC/Interpolation/quadrilateral2square.pro	(revision 370)
+++ trunk/SRC/Interpolation/quadrilateral2square.pro	(revision 371)
@@ -56,13 +56,13 @@
 ; @examples
 ;
-; IDL> splot,[0,5],[0,3],/nodata,xstyle=1,ystyle=1
-; IDL> tracegrille, findgen(11)*.1, findgen(11)*.1,color=indgen(12)*20
-; IDL> xin = (findgen(11)*.1)#replicate(1, 11)
-; IDL> yin = replicate(1, 11)#(findgen(11)*.1)
-; IDL> out = square2quadrilateral(2,1,3,0,5,1,2,3, xin, yin)
-; IDL> tracegrille, reform(out[0,*],11,11), reform(out[1,*],11,11),color=indgen(12)*20
+;   IDL> splot,[0,5],[0,3],/nodata,xstyle=1,ystyle=1
+;   IDL> tracegrille, findgen(11)*.1, findgen(11)*.1,color=indgen(12)*20
+;   IDL> xin = (findgen(11)*.1)#replicate(1, 11)
+;   IDL> yin = replicate(1, 11)#(findgen(11)*.1)
+;   IDL> out = square2quadrilateral(2,1,3,0,5,1,2,3, xin, yin)
+;   IDL> tracegrille, reform(out[0,*],11,11), reform(out[1,*],11,11),color=indgen(12)*20
 ;
-; IDL> inorg=quadrilateral2square(2,1,3,0,5,1,2,3,out[0,*],out[1,*])
-; IDL> tracegrille, reform(inorg[0,*],11,11), reform(inorg[1,*],11,11),color=indgen(12)*20
+;   IDL> inorg=quadrilateral2square(2,1,3,0,5,1,2,3,out[0,*],out[1,*])
+;   IDL> tracegrille, reform(inorg[0,*],11,11), reform(inorg[1,*],11,11),color=indgen(12)*20
 ;
 ; @history
Index: trunk/SRC/Interpolation/spl_fstdrv.pro
===================================================================
--- trunk/SRC/Interpolation/spl_fstdrv.pro	(revision 370)
+++ trunk/SRC/Interpolation/spl_fstdrv.pro	(revision 371)
@@ -13,5 +13,6 @@
 ;
 ; @examples
-; IDL> y2 =  spl_fstdrv(x, y, yscd, x2)
+;
+;   IDL> y2 =  spl_fstdrv(x, y, yscd, x2)
 ;
 ; @param x {in}{required}
Index: trunk/SRC/Interpolation/spl_incr.pro
===================================================================
--- trunk/SRC/Interpolation/spl_incr.pro	(revision 370)
+++ trunk/SRC/Interpolation/spl_incr.pro	(revision 371)
@@ -34,22 +34,23 @@
 ;
 ; @examples
-; IDL> n = 100L
-; IDL> x = (dindgen(n))^2
-; IDL> y = abs(randomn(0, n))
-; IDL> y[n/2:n/2+1] = 0.
-; IDL> y[n-n/3] = 0.
-; IDL> y[n-n/6:n-n/6+5] = 0.
-; IDL> y = total(y, /cumulative, /double)
-; IDL> x2 = dindgen((n-1)^2)
-; IDL> n2 = n_elements(x2)
-; IDL> print, min(y[1:n-1]-y[0:n-2]) LT 0
-; IDL> y2 = spl_incr( x, y, x2)
-; IDL> splot, x, y, xstyle = 1, ystyle = 1, ysurx=.25, petit = [1, 2, 1], /land
-; IDL> oplot, x2, y2, color = 100
-; IDL> c = y2[1:n2-1] - y2[0:n2-2]
-; IDL> print, min(c) LT 0
-; IDL> print, min(c, max = ma), ma
-; IDL> splot,c,xstyle=1,ystyle=1, yrange=[-.01,.05], ysurx=.25, petit = [1, 2, 2], /noerase
-; IDL> oplot,[0, n_elements(c)], [0, 0], linestyle = 1
+;
+;   IDL> n = 100L
+;   IDL> x = (dindgen(n))^2
+;   IDL> y = abs(randomn(0, n))
+;   IDL> y[n/2:n/2+1] = 0.
+;   IDL> y[n-n/3] = 0.
+;   IDL> y[n-n/6:n-n/6+5] = 0.
+;   IDL> y = total(y, /cumulative, /double)
+;   IDL> x2 = dindgen((n-1)^2)
+;   IDL> n2 = n_elements(x2)
+;   IDL> print, min(y[1:n-1]-y[0:n-2]) LT 0
+;   IDL> y2 = spl_incr( x, y, x2)
+;   IDL> splot, x, y, xstyle = 1, ystyle = 1, ysurx=.25, petit = [1, 2, 1], /land
+;   IDL> oplot, x2, y2, color = 100
+;   IDL> c = y2[1:n2-1] - y2[0:n2-2]
+;   IDL> print, min(c) LT 0
+;   IDL> print, min(c, max = ma), ma
+;   IDL> splot,c,xstyle=1,ystyle=1, yrange=[-.01,.05], ysurx=.25, petit = [1, 2, 2], /noerase
+;   IDL> oplot,[0, n_elements(c)], [0, 0], linestyle = 1
 ;
 ; @history
Index: trunk/SRC/Interpolation/spl_keep_mean.pro
===================================================================
--- trunk/SRC/Interpolation/spl_keep_mean.pro	(revision 370)
+++ trunk/SRC/Interpolation/spl_keep_mean.pro	(revision 371)
@@ -49,21 +49,21 @@
 ;    12 monthly values of precipitations into daily values:
 ;
-; IDL> yr1 = 1990
-; IDL> yr2 = 1992
-; IDL> nyr = yr2-yr1+1
-; IDL> n1 = 12*nyr+1
-; IDL> x = julday(1+findgen(n1), replicate(1, n1) $
-; IDL>        , replicate(yr1, n1), fltarr(n1))
-; IDL> n2 = 365*nyr + total(leapyr(yr1+indgen(nyr))) + 1
-; IDL> x2 = julday(replicate(1, n2), 1+findgen(n2) $
-; IDL>            , replicate(yr1, n2), fltarr(n2))
-; IDL> y = abs(randomn(0, n1-1))
-; IDL> y2 = spl_keep_mean(x, y, x2, /ge0)
-
-; IDL> print, min(x, max = ma), ma
-; IDL> print, min(x2, max = ma), ma
-; IDL> print, vairdate([min(x, max = ma), ma])
-; IDL> print, total(y*(x[1:n1-1]-x[0:n1-2]))
-; IDL> print, total(y2*(x2[1:n2-1]-x2[0:n2-2]))
+;   IDL> yr1 = 1990
+;   IDL> yr2 = 1992
+;   IDL> nyr = yr2-yr1+1
+;   IDL> n1 = 12*nyr+1
+;   IDL> x = julday(1+findgen(n1), replicate(1, n1) $
+;   IDL>        , replicate(yr1, n1), fltarr(n1))
+;   IDL> n2 = 365*nyr + total(leapyr(yr1+indgen(nyr))) + 1
+;   IDL> x2 = julday(replicate(1, n2), 1+findgen(n2) $
+;   IDL>            , replicate(yr1, n2), fltarr(n2))
+;   IDL> y = abs(randomn(0, n1-1))
+;   IDL> y2 = spl_keep_mean(x, y, x2, /ge0)
+;
+;   IDL> print, min(x, max = ma), ma
+;   IDL> print, min(x2, max = ma), ma
+;   IDL> print, vairdate([min(x, max = ma), ma])
+;   IDL> print, total(y*(x[1:n1-1]-x[0:n1-2]))
+;   IDL> print, total(y2*(x2[1:n2-1]-x2[0:n2-2]))
 ;
 ; @history
Index: trunk/SRC/Interpolation/square2quadrilateral.pro
===================================================================
--- trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 370)
+++ trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 371)
@@ -51,10 +51,10 @@
 ; @examples
 ;
-; IDL> splot,[0,5],[0,3],/nodata,xstyle=1,ystyle=1
-; IDL> tracegrille, findgen(11)*.1, findgen(11)*.1,color=indgen(12)*20
-; IDL> xin = (findgen(11)*.1)#replicate(1, 11)
-; IDL> yin = replicate(1, 11)#(findgen(11)*.1)
-; IDL> out = square2quadrilateral(2,1,3,0,5,1,2,3, xin, yin)
-; IDL> tracegrille, reform(out[0,*],11,11), reform(out[1,*],11,11),color=indgen(12)*20
+;   IDL> splot,[0,5],[0,3],/nodata,xstyle=1,ystyle=1
+;   IDL> tracegrille, findgen(11)*.1, findgen(11)*.1,color=indgen(12)*20
+;   IDL> xin = (findgen(11)*.1)#replicate(1, 11)
+;   IDL> yin = replicate(1, 11)#(findgen(11)*.1)
+;   IDL> out = square2quadrilateral(2,1,3,0,5,1,2,3, xin, yin)
+;   IDL> tracegrille, reform(out[0,*],11,11), reform(out[1,*],11,11),color=indgen(12)*20
 ;
 ; @history